commit 87bd6c5fc93977319ae7b01303dab6afab61199d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 16 08:34:23 2023 -0400

    Revert "workaround a (likely) curl bug that breaks Qubes-Whonix updates"
    
    This reverts commit 3540eb790cc86c81983a2b88a6ae8b79cfa079c5.

commit 1330408c7e9b2ce52998ae430d540304b4bd9f2b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 12:27:30 2023 -0400

    bumped changelog version

commit 3540eb790cc86c81983a2b88a6ae8b79cfa079c5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 12:26:51 2023 -0400

    workaround a (likely) curl bug that breaks Qubes-Whonix updates
    
    https://github.com/QubesOS/qubes-issues/issues/8606

commit f87770b92204eaeac48ee04e30714eaf55bd6b80
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 13:11:17 2023 -0400

    bumped changelog version

commit 6637a67dbf3024da753431d67e31a8aa9a0dbd9e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 12:23:23 2023 -0400

    move alert script to msgcollector

commit b578e1d37151c581bb20b1ad8df6fb7b3bac3163
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:32:34 2023 -0400

    bumped changelog version

commit 8a0caa25eea40752f394336f2e91842bf7456d83
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:27:50 2023 -0400

    wayland

commit 0c687ec04984aa95ad3416019ee4b4eed7fb491c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 5 08:24:06 2023 -0400

    bumped changelog version

commit 8a6fbc562ac283dda03b892f8cb0383b703e9aa4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 4 04:54:21 2023 -0400

    torified-updates-proxy-check: improve exit codes and output

commit aedd730428b96d6842dc154fef1c540daf6e0489
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 4 04:50:27 2023 -0400

    output

commit 563e76b0f0942c4a8bc4760069f58435a953f44e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 4 04:48:15 2023 -0400

    output

commit 17590b6ba0c1ef9bbb0508e610ec11248a37be3a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:09:30 2023 -0400

    bumped changelog version

commit edcb3ba51b48963a33d98a898279bdb8fd214bd9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:03:25 2023 -0400

    tmpfiles.d improvement

commit 27283948f7a291d38a6ff589596345d251677ad2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 9 06:33:13 2023 -0400

    bumped changelog version

commit a5ab491df8cb0335bb2eab7c70691462f69f71f6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 9 06:15:12 2023 -0400

    readme

commit ba482a3f96981b9c40e9430fb1341a8312d6dd8f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 4 11:22:22 2023 -0400

    bumped changelog version

commit 3c1c05f79f999aa1b77ef9b381cddf102ca6b10b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 4 11:21:25 2023 -0400

    output

commit b669544d36c5cb218f73b9ebe1a9c9e41321b4fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 4 11:15:41 2023 -0400

    bumped changelog version

commit c2a152a4ffc6278dc5c590786816e77a47a7d058
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 4 11:15:31 2023 -0400

    fix

commit 28904f3516780ae01c5a6053e1af237b9c254a2e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 4 11:13:57 2023 -0400

    fix

commit a5bde60f5682ee26834002a6e1d7f016ac063b00
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 3 07:57:32 2023 -0400

    bumped changelog version

commit 5d77f9d93c62997e3d85e892be604ae9f7f0b3aa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 3 07:48:52 2023 -0400

    fix: make sure replace-ips runs before restarting Tor
    
    This is useful to support `release-upgrade` script testing inside `sys-whonix`
    
    refactoring

commit d0c4bc7dd2a48af6afe9c9ce8363c3406d31cc2c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 28 08:56:06 2023 -0400

    bumped changelog version

commit 4b7579799c5cd7a4dc508cea40becf66bf56be58
Merge: fd480e5 01bd0e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 28 08:43:06 2023 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit 01bd0e1d62d6bc0210ae423d82ad965785f7e522
Merge: fd480e5 f3bd2aa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 28 08:42:31 2023 -0400

    Merge pull request #1 from marmarek/no-salt
    
    Drop salt dependency

commit f3bd2aa4ea6e33248274bbb171c36eae618f8716
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Fri Jun 23 18:09:02 2023 +0200

    Drop salt dependency
    
    It isn't available in bookworm
    
    QubesOS/qubes-issues#7896

commit fd480e5ead64cd24a44e93b78562b7852d01ba36
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:43:55 2023 +0000

    bumped changelog version

commit 31b8316113239dd100277bfc4e69545fa459b3c6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:34 2023 +0000

    bookworm

commit 8cf7aaf56fd2418a46e2f3d085612d7901b1fe5b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:29:22 2023 +0000

    bumped changelog version

commit edf51be731e331c6970066db8491ebb447b024ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:08 2023 +0000

    readme

commit 2fe14f966049dff2aa271bb2a6f8e8cf598c11e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:08:56 2023 +0000

    bumped changelog version

commit 99f30bbf9af35086dd6278bf69d33aaa8a79746b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:50 2023 +0000

    copyright

commit b8184216277b1acf573854b28ff64690a51f5769
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 10:09:42 2023 +0000

    bumped changelog version

commit 019bc6b5159cef812c8968bcdf93a8b19d0acaea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 09:47:42 2023 +0000

    bookworm

commit 8e0c6ee0156516aa230594e3186597a5ec2872b1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 18:17:33 2023 +0000

    bumped changelog version

commit f38d85726816fa10f56d3df2a1abc1e2090cd4b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:36 2023 +0000

    Standards-Version: 4.6.1.0

commit c4562a8ea42fefa05c6f6d8656922486d1beef73
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:38:53 2023 +0000

    bumped changelog version

commit 707d5695efe80c263b8397882990d9640332de03
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:52:05 2023 +0000

    update copyright year

commit d5b66fa8862c04c635c512d3fbbe7f290e7bf8d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:08:00 2022 -0400

    bumped changelog version

commit d4d95be0c1b01136b09decec3212a3b3795f7eee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:15 2022 -0400

    readme

commit 685898472356930308268c1be59782fbbb7efbc3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:44 2022 -0400

    copyright

commit 98d80c75b02c877b556a864f253437a5d57c422c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:21 2022 -0400

    readme

commit 92c0bf9b5618c487b293c55c59d06d14ef60ea1a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 08:05:29 2022 -0400

    rename

commit 02da73e8b2d842a7c77d3a20e4b421534bb53ce1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 13 08:03:42 2022 -0400

    bumped changelog version

commit 1e81681e31ed64def79994f273bceecd064df1fa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 13 07:52:16 2022 -0400

    lower debugging

commit 8acc472f189c631226fa664e611eae0a98853363
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 9 05:08:42 2021 -0500

    bumped changelog version

commit 47fb073dae35b9e6b23b6c5a227a85ed7f129ee3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 9 05:08:01 2021 -0500

    `/usr/share/tinyproxy/default.html.anondist`: also customize html body
    
    in case tinyproxy does not show html head

commit ad8db5e568adce98984c024ca54dbe2fe7bd96ea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 24 15:04:55 2021 -0500

    bumped changelog version

commit 1359ef3e47715c04d4a4d071b3ca0679a4020b01
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 20 13:23:35 2021 -0500

    qvm-sync-clock.anondist code simplification

commit f2190c69cb5859b0f0b6242fc20a84811ef83fb3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 20 13:21:11 2021 -0500

    initial version of qvm-sync-clock.anondist

commit a5a81da0a6de53d8d3f63e4ef313ebd038fc5d97
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:32 2021 -0500

    readme

commit d42e7eda5b67649f9b3086c7c904a8d5d50dca84
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 11:53:11 2021 -0400

    bumped changelog version

commit 8cd60ef77eb445738aa7acbc0243dc7478352771
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:37 2021 -0400

    readme

commit 24f082c120c2c1d6d7c9fb022790b1d83609cefd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 1 11:28:10 2021 -0400

    bumped changelog version

commit 683c5ee6247dd562fa52789c5475621f43a95377
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 1 11:16:03 2021 -0400

    drop initramfs-tools from qubes-whonix-shared-packages-recommended
    
    leave that to Qubes
    
    for dracut support
    
    https://forums.whonix.org/t/replacing-initramfs-tools-with-dracut/4487/13

commit 6cd8e2ec1e0917fd7ced33dadef7d7515b14517b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 16:29:04 2021 -0400

    bumped changelog version

commit ef6b132f45a00601415f2d48a94a2357eef46ae1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 16:28:45 2021 -0400

    yum -> dnf

commit 47fc66cb00485692a42c376521e67f2cccbc8197
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:59:13 2021 -0400

    bumped changelog version

commit 1f1f655dab87f56cc51b7a4ba54befa87fbdd155
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 15:02:02 2021 -0400

    update path

commit 06a6aecd1da9effd84745573186cf07a48c24118
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 14:52:04 2021 -0400

    comment

commit 82594b5f74e41eea59ebaac37f281cbd93e4f7c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 07:52:33 2021 -0400

    lintian FHS

commit 5834f2ff559948f96b2f5ebf466d034748c338a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 07:49:54 2021 -0400

    lintian --suppress-tags executable-in-usr-lib
    
    keeping /usr/lib/qubes-whonix since Qubes also has /usr/lib/qubes

commit e60ce302df00c71c2979617a7b43220fef38e151
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:55 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit 6ad6b3dc1799d5d0d671e475aa1faaa0da469555
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:34 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit b1ea9631d25549453cfee2c32e96f008f07daa3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:43:36 2021 -0400

    man page

commit 4687aed3338ddeae265c33fcbb7ab52e821fc7a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:24 2021 -0400

    bullseye

commit 3bec64dcd3fa6cbe8f8ef90429741e44d6bc5af8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:36 2021 -0400

    readme

commit 5acf0939f4326be2f8008fbe4e15ffd37a703c53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 12 03:17:20 2021 -0400

    bumped changelog version

commit 3e865aecb71fa03a594af6cdb51102543e3ef3f8
Merge: e967f25 b038202
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 11 12:21:48 2021 -0400

    Merge remote-tracking branch 'gitlab-whonix/master'

commit b038202be0d68310d8e501cac2a77375ba284c6e
Merge: e967f25 07367f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 9 17:57:07 2021 +0000

    Merge branch 'backcompat' into 'master'
    
    Honor skip-torified-updates-proxy-check qvm-service
    
    See merge request whonix/qubes-whonix!1

commit 07367f83fbbea9c9a1811c88e0fd12b0d0e615d4
Author: Rusty Bird <rustybird@net-c.com>
Date:   Fri Jul 9 16:51:04 2021 +0000

    Honor skip-torified-updates-proxy-check qvm-service
    
    Reintroduce the ability (from qubes-whonix < 15.4) to skip the
    torified-updates-proxy-check script by enabling a qvm-service.
    
    This allows a Whonix template to be updated through a non-Whonix
    qubes.UpdatesProxy VM if necessary.

commit e967f25e3dc53d1601a0c167f44c1db5298f23d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 9 07:42:56 2021 -0400

    bumped changelog version

commit 5d229700152d42f88c2870b899fe6a954c810a02
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 19:09:45 2021 -0400

    comment

commit 8dc9415aafea6e6a29f3240966796f0424c0f787
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 19:09:25 2021 -0400

    comment

commit c80707e60a3c336c6ace85c320be3e116ce5f8f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:06:39 2021 -0400

    bumped changelog version

commit 3edefac43c5e32aa11cb1f60ab25330feddd3b0d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:21 2021 -0400

    copyright

commit 77a549b7291080c505c17a92f4ee2eb9922963e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:26:01 2021 -0400

    bumped changelog version

commit 04058b37c640a856e298164b31a48a7e0eada345
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:18 2021 -0400

    copyright

commit 551c4619fea0090ce12d08066bd2983359865b20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 14:32:22 2021 -0500

    bumped changelog version

commit 935db438be830d043274b2d704ea84820f29ead9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 12:46:26 2021 -0500

    output

commit 69812ddf71e5e7bcd326268108eedd283a4fee55
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 4 07:06:53 2021 -0500

    bumped changelog version

commit f379dca6b830e5f7cee7204da21080b123446dfa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 4 07:06:52 2021 -0500

    readme

commit 70d5825a40d0dc8a427c79da241aa6e720bf819b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 28 08:37:31 2021 -0500

    census -> canary

commit ce7b1b0f7f937a2941d6bee32ce80869e4fa6028
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 5 04:42:04 2021 -0500

    bumped changelog version

commit 0687556d36f106d17fa3464663da718655e651e6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 5 01:44:54 2021 -0500

    renamed:    usr/share/setup-dist/status-files/whonix_repository.skip -> usr/share/setup-dist/status-files/repository-dist.skip

commit 0af021a2aa309420969eb951093ad4af455cbdb6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 11:51:04 2021 -0500

    bumped changelog version

commit 6e6a62a85eacede1845fa229ec4380aa8e97fb81
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 1 12:01:50 2021 -0500

    renamed:    var/cache/whonix-setup-wizard/status-files/placeholder -> var/cache/setup-dist/status-files/placeholder

commit 4f959d10292e192e5ef85c08d25172487483b614
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 1 12:01:13 2021 -0500

    comment

commit 7a4d589c41efb0c660b4e480ddd99684669f8053
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 1 12:00:09 2021 -0500

    whonix-setup-wizard -> setup-dist

commit d85edc4852fe2226968988d7fa7c64dad24ef1e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 04:46:51 2021 -0500

    bumped changelog version

commit 1f9a600fb98875eb0a6c43f5dc29f4847c50b809
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 04:45:20 2021 -0500

    binds+=( '/var/lib/sdwdate' )
    
    Time Replay Protection
    /var/lib/sdwdate/time-replay-protection-utc-unixtime
    https://www.whonix.org/wiki/Sdwdate#sdwdate_Time_Replay_Protection

commit 48dab0a21ab6f3a1832e60a7237ccd50bd455546
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 09:50:08 2021 -0500

    bumped changelog version

commit 26be0d1630fafdd4099b27cdbb4d8e5c8f845acd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 07:07:23 2021 -0500

    whonixcheck -> systemcheck migration

commit 9e5123b6d5399abf83f649be333d01153e9bfcfc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 06:59:44 2021 -0500

    no more whonixcheck systemd service

commit fa9e989c1603ff74219b4cfa711763c6d5dcdc23
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 06:59:01 2021 -0500

    comment

commit fac4ceb0f858c9d1df4d7fbfeff2c572fd3af2db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 02:32:19 2021 -0500

    bumped changelog version

commit a1be35992d04562ed7103313fea0186b18c57aa2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 02:32:01 2021 -0500

    remove /run/updatesproxycheck/status since not required

commit bcf514417bc3df9935adfcc9806e5421bcbdcdc8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:40:09 2021 -0500

    bumped changelog version

commit 9fe04b7dc5d2907c4568c918a07a4037a3bdbf10
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:25:09 2021 -0500

    port to /run/qubes/this-is-templatevm

commit a6c0c899d2e4f680edd0b65304eae5e528ecab2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:23:55 2021 -0500

    /run/qubes/this-is-appvm

commit 551382a944b08409bda7d4b30f9fabd1e1299022
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:22:47 2021 -0500

    port from qubesdb-read to /run/qubes/this-is-templatevm
    
    to be more robust during upgrades when qubesdb is updated

commit 53ff72ab6ce59cb2c98401fd701ae782ca100e37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:06:24 2021 -0500

    Run torified-updates-proxy-check under user `updatesproxycheck`.
    
    No longer use sudo inside `torified-updates-proxy-check`.
    No longer run `torified-updates-proxy-check` as root.
    
    This is to avoid some corner cases with authentication / PAM.
    
    Thanks to @marmarek for the suggestion!
    
    https://phabricator.whonix.org/T1001

commit e52ef06ad2d13138d81bf0c515df15bc0223e325
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 11:33:03 2020 -0500

    bumped changelog version

commit 9aaca6b64083e92578fbcff491dec2f6bfb21bc7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 08:19:29 2020 -0500

    simplify removal of package `qubes-core-agent-passwordless-root`
    
    (through package `dummy-dependency`)

commit 5c39c342f0a1a91e5edeadaa74e283da5cac2294
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 11:56:01 2020 -0500

    bumped changelog version

commit b4c2344b43ba0ad26fb2ac9786b399c87c04603c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 07:56:50 2020 -0500

    git commit -a -m "IP HARDCODED"

commit 28227d5ef1222dc25741acad555369e43dd35ac9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 13 12:32:04 2020 -0400

    bumped changelog version

commit 3127da2030a4955f22b5b0b1f5b0de70e18728b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 13 12:32:03 2020 -0400

    readme

commit ebfeed79c3b2a3c4554a0d7d4cf33139d1affc55
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 11 10:04:45 2020 -0400

    output

commit 9929ca0aa27b8d726ce1c3fdb85daa1f65dd8bf9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 11 09:57:38 2020 -0400

    output

commit b25e43a7b34354c981f497b982419b26853fc9ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 11:45:41 2020 -0400

    bumped changelog version

commit 48c591cf76fdb5a98ec8db7be8411e6eb9c3debd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 11:07:43 2020 -0400

    output

commit 49b56d57527f20d420762f4406263aad4be44ea8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 07:59:20 2020 -0400

    output

commit 003014462165eb32627089c22d8fd42166c7e6ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 07:55:58 2020 -0400

    output

commit 906ab7e0303154a82332493d992262d76b0ed806
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 07:53:20 2020 -0400

    output

commit 6bffd89c74967529169345272a5da913055732ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 07:51:20 2020 -0400

    output

commit ccdebdfe74c1f47698273b6d4c158f15ee282797
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 07:48:39 2020 -0400

    output

commit 015d23557e03ca90d37a914905d68b1829f4b9fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 07:46:32 2020 -0400

    output

commit f66e1aed8c1f8ecea44c19b6434388dad0e69476
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 07:44:07 2020 -0400

    output

commit 7086b0eefdf66cee2c95d2abbad1ac0771aeff03
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 07:41:16 2020 -0400

    fix

commit cb4cf8058bf69d7dd5d3e8f6c7126cd4c4b21823
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 07:38:50 2020 -0400

    fix

commit cedc8e4a7166d6a76e29fabee6395948fc317f31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 26 09:11:20 2020 -0400

    output

commit 363eec789963527f64cf6d943994d522fb000830
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 26 09:10:29 2020 -0400

    output

commit 0a1c7d4941af8fe5cfd08c5ed22d67a2fe1bb092
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 26 09:07:49 2020 -0400

    sanity test

commit 7607acb61ebb968def30bcc89fa957fd9d680758
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 26 09:03:14 2020 -0400

    usability

commit 475896a4b84a93dd44b17dd4f601ebd0906509ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 09:22:57 2020 -0400

    output

commit e24e62b6713726b77a1409cc07a1ee30768b356a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 09:22:14 2020 -0400

    output

commit e9c91697efbabcdd7075755c169db6d0d12a6fa5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 19 09:27:36 2020 -0400

    bumped changelog version

commit 7824256598f5742dcd72bf06715e0ea122d88412
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 18 07:40:47 2020 -0400

    sanitize hostname

commit 33ccb0fe307227ceeb1a456db7d7b41fd6450918
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 18 07:28:26 2020 -0400

    no timeout needed to enter wormhole code
    
    no security harm if user waits forever

commit f539ef6ebfd8e3ab487e71c39aedf68490be9f06
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 18 07:27:26 2020 -0400

    comments

commit eff37a56de173d945b010e9e2fe464b2f6df454e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 18 07:24:44 2020 -0400

    sanitize file size; comments

commit 7a683a87a810883672a8ccd31805391d9f3c4f7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 18 07:09:07 2020 -0400

    disable debugging

commit 94767597da43b2484deadbb53b76fc3309a7c12d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 18 07:08:40 2020 -0400

    lower verbosity

commit 4f1310bc72dae6e1260ef6b63793c3d50718fb6e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 18 07:04:37 2020 -0400

    comment

commit d0cd20dda4e29851e163605bbb558673f92de13d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 18 06:58:59 2020 -0400

    fix detection if SSH client is installed inside Whonix

commit e887c59d9da8a76122845472fadbe04be68b32f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 5 07:19:08 2020 -0400

    bumped changelog version

commit 343d08d1fa4a72e9380be3ee01e13d82fb993bd1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 5 06:39:05 2020 -0400

    qubes-remote-support-provider: fix detection if ssh client is installed

commit fc6357804306d7f69af322bbbb666d6902eea367
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 12:04:22 2020 -0400

    bumped changelog version

commit 03466adb38c1ef695621beb950691d6a6647f41f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 09:51:14 2020 -0400

    output

commit f03afdb76517bbd446197ea1fdc9b1e82b38d431
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 08:53:00 2020 -0400

    bumped changelog version

commit 1ea452ccd5be6657e4abdf741df5b2ebe2fc490c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 08:45:12 2020 -0400

    error out if ssh client is not installed

commit e67cd4d51fb7c4d788ae1cf3f01750cad2e4842b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 08:32:23 2020 -0400

    bumped changelog version

commit a79222fae7fe855ee545ad49d05e11e4c03df8dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 07:40:04 2020 -0400

    rely on ssh / Tor client for proper key sanitizing

commit ad074f4ccecf7f7cb565a70ace84118ea8877ca3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 26 06:30:54 2020 -0400

    bumped changelog version

commit cafe3e37f86c621781304c5aa854a4d39c017cbf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 26 06:30:40 2020 -0400

    man page

commit 6939e28b4bc973a186616efe84d9e60cf298f1d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 26 05:59:56 2020 -0400

    bumped changelog version

commit 267bd10def61b29870728be5622d9cdcb9557307
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 25 12:20:09 2020 -0400

    comment

commit 522d7d8c60d0ef75e9dac6aa5bee000d143bb52a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 25 12:09:19 2020 -0400

    comments

commit 7708920c995406d2d042b6d3ed5d8d8ce4eecf59
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 25 12:08:00 2020 -0400

    comment

commit bf31990f711c2282a57433f58ed0cd254e55c0de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 25 11:59:17 2020 -0400

    comment

commit 423ba94da9d279c56140d2d9ab61e7780264a706
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 25 11:54:55 2020 -0400

    ssh fingerprint enhancements

commit 859267c2eba39342402f52113e5cda486375b895
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 25 07:29:35 2020 -0400

    fix

commit 6589e028427e86e872d7571cc9f9b654b53998f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 24 13:38:11 2020 -0400

    initial implementation usr/bin/qubes-remote-support-provider

commit 612d819455ea350b4ceafc75abfc7e75720ab5ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 21 13:05:07 2020 -0400

    bumped changelog version

commit fd8bc8213ef6a4bf1ce5b03a13d5f30afc80175c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 21 12:50:20 2020 -0400

    no longer depend on `qubes-core-agent` / `qubes-gui-agent`
    
    qubes-vm-dependencies already `Depends`: on it
    
    https://github.com/QubesOS/qubes-builder-debian/blob/master/template_debian/packages_qubes.list
    
    in preparation of
    - removal of dependency on `qubes-core-agent-passwordless-root`
    - support of VM sudo
    
    https://www.qubes-os.org/doc/vm-sudo/

commit f392f406ad1990583dde3fed57c53efa8dcae1a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 01:45:55 2020 -0400

    bumped changelog version

commit 45de2a64a4312d51fb5895298b0e1fdfaa825e45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 01:45:42 2020 -0400

    do not start vanguards in template vm

commit 14b36473fb886699d3abd4be13a1596d74a7b8e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:12:48 2020 -0400

    bumped changelog version

commit d916a09a2ff9dca25093897c01c31fee97c36bd9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 11 14:57:39 2020 -0400

    qubes-whonix-remote-support.service: SuccessExitStatus=143
    
    required to not show the service as failed after systemctl stop qubes-whonix-remote-support.service

commit dc4b86914ecfc8e660a6c65f236754084cc3dec8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 11 14:51:59 2020 -0400

    bumped changelog version

commit 46582c6261d104ca053603c147112a804694e1a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 11 14:51:54 2020 -0400

    fix

commit 12aad51249d6143199296054658f2dfde359d40c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 11 14:40:02 2020 -0400

    bumped changelog version

commit 566e738a919b22ab88bb28c78f6052fca303e453
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 11 14:39:45 2020 -0400

    https://www.whonix.org/wiki/Dev/Qubes_Remote_Support

commit 4d9a717f9842d3e08943c5660b8299a6d8f9767e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 7 11:45:09 2020 -0400

    bumped changelog version

commit bbaad5b5c0b18160bdd91f2b1541fbd1834b111e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 7 11:44:59 2020 -0400

    no more python2

commit c1e95b0b519a1c40924edd8a5a63eaa698eb3c91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 7 11:29:26 2020 -0400

    bumped changelog version

commit 42f2e8921adfd3b1114d9403ff3e6a9831b7f769
Merge: 573594e d5e5d62
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 7 08:35:27 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit d5e5d6220bffc917dd961ab633976b2b3a366157
Merge: 573594e 9d36321
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 7 12:35:01 2020 +0000

    Merge pull request #7 from marmarek/python3
    
    Convert replace-ips to python3

commit 9d363213598b452c03ca5e73b594f26dfcfd2ee6
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Sat Jun 6 15:44:37 2020 +0200

    Convert replace-ips to python3

commit 573594eb3ef32a16ec0e3bde1165f2a2350cc6ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 6 08:32:01 2020 -0400

    bumped changelog version

commit 221b6fcdb06e19404b1b9baf3d2bd2dac2d8926d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 6 08:20:13 2020 -0400

    * replace-ips: remove immutable test:
    files no longer immutable for a long time
    if files were immutable, we ought to just leave them as is and not run
    'chattr -i' on these
    * add debug output
    
    https://github.com/Whonix/updates-status/issues/27

commit 1be804642734cc4d6416f58244b719d9b9bfa404
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 5 17:24:52 2020 -0400

    minor

commit 961c12353625f61b149c35443469dc63290fe333
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 13:54:23 2020 -0400

    bumped changelog version

commit e72a4a594837eeaded1ca68a1a88959c93914487
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 12:48:10 2020 -0400

    try fix https://forums.whonix.org/t/setting-up-anon-base-files-shows-machine-id-prompt-followed-by-ominous-warning/8045

commit 9a04acb6b4a2a61f599c3e6fe311cb3154771cfe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 12:35:24 2020 -0400

    resolv.conf

commit 0052fcc768468385940a11eda2d42031e664f898
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:40:16 2020 -0400

    bumped changelog version

commit 7e04b75c5dca54b2430a7f91a4879c5ab0d5f56b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:35 2020 -0400

    readme

commit ff6c3bf339ee54b9bd308b4cf0bba4593787eb51
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 17:12:41 2020 +0000

    bumped changelog version

commit aa708b013bc9b9d2291006fb136209a639a01a33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 17:01:49 2020 +0000

    systemctl --system daemon-reload

commit e2e3c35e3520eda56fada3a7ad54804d09c0d829
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 16:22:32 2020 +0000

    bumped changelog version

commit 18ca33dfc179dca10828728a5df14ddd9c41a03c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 16:20:51 2020 +0000

    comment

commit fd4e5b970876243f947aaa3cf62a2fe221742248
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:50:34 2020 +0000

    bumped changelog version

commit fe887b269b5955ac1e550f494cfcddc73c9e94be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:04:04 2020 +0000

    anon-base-files -> dist-base-files

commit 77ae0e50663e42d314dd52fe6346e5c00eb86395
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 20:37:01 2020 +0000

    bumped changelog version

commit ec33b7e4316a3fb871529022f6d8054f8154d6c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 16:26:15 2020 +0000

    etc/qubes/protected-files.d/qubes-whonix.conf add /etc/resolv.conf

commit d849aa0748dc1ba9d1283073b39e2ee3e69a62f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 10:38:13 2020 +0000

    bumped changelog version

commit 4b2ebd8b94d81da071668ee46df8df0d83176f4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 20:05:12 2020 +0000

    comment

commit 4aef4d62e6d550d45609c6c1966b57ca0aec3116
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 06:36:02 2020 -0400

    bumped changelog version

commit cd0e8823893cad3cfc8196a28bd8881e7ff0d92c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 14:03:52 2020 -0400

    comments

commit cba91ce350b1d543a3eefc38773e61dd4f90f121
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 13:58:53 2020 -0400

    remove obsolete comments

commit 051f75ffefeceeee4f4a1a0aecebdb205798b825
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 13:57:57 2020 -0400

    remove postrm, preinst and prerm scripts that do nothing

commit cd02d617a59e6ab5d6c1cd50fc7ce084b6ae5206
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 13:57:06 2020 -0400

    copyright

commit ce7977b7e218543ae191af599319a65802c2950b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:55:31 2020 -0400

    bumped changelog version

commit 3f033e72e3725edb949f07caef7b354e64c8bc36
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:42 2020 -0400

    readme

commit ce1707bb9f2fb040e22536ad8f3b60fc5e9a1441
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:32 2020 -0400

    remove genmkfile

commit 7a918eb333c031ca7871c63396ad5163b3d82cad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:33:25 2020 -0400

    add debian install file

commit bd7894ddd5c68ca83571dcc2ef5a9a900d7f1dc4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:53:28 2020 -0400

    bumped changelog version

commit 817a66cf569cdcf5de62cdb2e7c1040a6c775b24
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:58 2020 -0400

    update copyright year

commit c5aa43e4f94d11406c36a3c5dcf7989c6529f8f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 07:35:15 2020 -0400

    bumped changelog version

commit 9a70f30a1d58d17f7e61edad096aed9f715cea80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 07:30:10 2020 -0400

    fix adduser home

commit 9f3e519f840d7ebff709fd7544a7fb33eb313871
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 14:12:36 2020 +0000

    bumped changelog version

commit c397cc64f6cb95937ddfb4d10dcec913542218b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 07:38:04 2020 -0500

    do not start i2p and privoxy systemd services in Qubes TemplateVMs by default
    
    https://forums.whonix.org/t/installation-and-fix-of-i2p-inside-whonix-workstation-by-default/8610

commit 381a11cb005b1f646c90e25af3a256f19bb06e7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 02:11:41 2019 -0500

    bumped changelog version

commit 451b784c6db5316289e16ac18fd496851f4c3a92
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 11:08:20 2019 -0500

    /run/qubes/qubes-ns not needed in Qubes-Whonix, therefore comment out

commit 0c778935b0cc23fe3bf9d32e5f9a2fd94af107c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 11:03:56 2019 -0500

    comment

commit add7f70bb4459c59f5081640f0d802dde81232c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 10:55:43 2019 -0500

    refactoring

commit 3318e7e9180f514b125f57f3ae445e04aa017078
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 10:54:45 2019 -0500

    remove comment
    
    XXX: Should check for qubes_vm_type being 'ProxyVM' or 'NetVM'?
    
    Qubes uses only provides_network anymore and not 'ProxyVM' or 'NetVM'.
    
    https://www.qubes-os.org/news/2017/10/03/core3/

commit e08f217e55a393448279f091d989ef9fb81816f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 10:53:46 2019 -0500

    refactoring

commit 6c1df1539b6d514c45ca9b9ce530437cdf4cc21e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 10:44:25 2019 -0500

    remove duplicate setting of unneeded netmask variable

commit 068b6e05e5c20404c8e1abde9686ff8b06418dfa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 10:42:40 2019 -0500

    comment

commit d0f340c4f18c1ae31208e0b7564776abe9fe2235
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 10:40:02 2019 -0500

    remove unused gateway variable

commit 392f230d17cb69cd1e3196a54346c791c78101f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 10:38:16 2019 -0500

    no longer hardcode netmask

commit f1eccecd0d27648306a94db973b41694a2bf67e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 05:29:51 2019 -0500

    no need to use modprobe as module loading happens automatically
    
    no need to disable IP forwarding as this is default anyhow and https://github.com/Whonix/ipv4-forward-disable does it as well
    
    improve output on error
    
    refactoring

commit bdf2b22394439443cba2656dec3f092846848d67
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 18 10:14:12 2019 +0000

    bumped changelog version

commit 2b9107f2610ed016445368db96452e8f00535fa2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 18 09:33:26 2019 +0000

    readme

commit 235e06c908d99037e4f9290ee2b52fe331f00820
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 14 10:21:06 2019 +0000

    bumped changelog version

commit f4c7e5e3d57c067f248e5f94c234e918d6b306ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 8 11:53:26 2019 +0000

    code documentation

commit a838cd2a654104eb953a49abc075a47280ac98af
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 7 05:53:31 2019 +0000

    code documentation

commit dbd8fc7b4099a8d1473fedbedfe941479583bc0a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 13:42:44 2019 +0000

    bumped changelog version

commit 3e97b3072a95af695322859f39c2b1f79ed39b41
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 08:44:21 2019 -0400

    depend on adduser

commit 6a93626d254d68b9e26ef6c5191fab391009176e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 30 04:03:33 2019 -0400

    cleanup, remove useradd / groupadd user to group debian-tor
    
    since nothing in this package depends on user "user" being in group debian-tor
    
    thereby avoid use off useradd / groupadd
    
    https://forums.whonix.org/t/port-from-useradd-groupadd-and-usermod-to-adduser-and-addgroup/7977

commit 04dd386aba7bd1ea86f5cb01f00e704500941bca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 11 15:07:19 2019 +0000

    bumped changelog version

commit 1eca8607aefb18fbe529fb0177f0a8f73c656310
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 11 14:19:51 2019 +0000

    comment

commit 31410a7db483d132c7e000b89d2a43c92abf5116
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 11 14:16:41 2019 +0000

    comment

commit 93aa71819625ab0a1e9d5f60f8e344f9014fe8d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:59:15 2019 +0000

    bumped changelog version

commit 8c257019e9191eea3d31980623869ec3640fcd1a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:41 2019 +0000

    readme

commit 00a2d4b5858f5fca460ecf290795429e612d87fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:42:37 2019 +0000

    bumped changelog version

commit 708593c81bfc6ffee0def77d345ceeea1fc57ced
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:09:22 2019 -0400

    /var/run -> /run

commit ba7f009f99daf7dcf7dd0af31bda859e9d3ebc84
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 15 19:50:21 2019 +0000

    bumped changelog version

commit e70aecea4de1b393014c439d29eb7d3832d33176
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 15 12:48:01 2019 -0400

    fix, removed /var/cache/tb-updater since not actually used anywhere

commit 2db4a452381c19c4dc58055018e89f41d434d9ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 15 12:46:49 2019 -0400

    comments

commit 67bdc88ff5a1f366d7287f1bfc2b6fa27be868c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 15 12:30:39 2019 -0400

    remove legacy bind-directories

commit d6c1857a5962123028f5bc41fb33b2260b07e040
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 15 12:26:56 2019 -0400

    remove legacy

commit 4a6b079268ba64c219728fabd51c40448a325a5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 14 07:22:53 2019 +0000

    bumped changelog version

commit 9ef63c2f26b4a9e861013740354154e57a2eed00
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 14 03:18:32 2019 -0400

    move to /usr/share/whonix-setup-wizard/status-files

commit 07dfdb7d687f8ac9b594fa232b2515f85c4faf63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 07:26:24 2019 +0000

    bumped changelog version

commit 5a4ce7c4079a4da47c4e3d153b3fcce4b992cea9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 07:21:54 2019 +0000

    name, comment

commit 21148d4540a482142729475b8ffe723542e03573
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 19:56:35 2019 +0000

    bumped changelog version

commit 128020032c1f2ae5eb895b0710d0b82e830ee420
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 19:51:36 2019 +0000

    readme

commit b62f11e8aa84324919c5b137d81668405a276ead
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 12:24:12 2019 +0000

    bumped changelog version

commit 5e193c38be99569e59015e7ad843d597e9ed8e8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 12:22:47 2019 +0000

    fix lintian warning

commit e835cc87452e2303c924a39f459c61cc70b353b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 12:21:17 2019 +0000

    bumped changelog version

commit 6416d86539fd13a510c2542ba1212224d9223e20
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 08:15:43 2019 -0400

    create status file var/cache/whonix-setup-wizard/status-files/finish_page.skip

commit 3d3d10a12db22943dbf1915c3c39d2c158baa7b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 14 10:15:32 2019 +0000

    bumped changelog version

commit c08dfed97cfba369ff753b4d96755b47240fffb2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 14 10:14:30 2019 +0000

    qubes-whonix-shared-packages-recommended `Depends:` on initramfs-tools
    
    since qubes-kernel-vm-support `Recommends:` initramfs-tools and since it is
    installed by default in Qubes Debian templates too

commit ffa823e0c72db4f9d18196615f74c4848a4745d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 11 05:45:44 2019 +0000

    bumped changelog version

commit 8d8ab41bbf9c7fa63f3e79b8511d439efe33caeb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 11 01:41:10 2019 -0400

    qubes-whonix-shared-packages-recommended add dependency on:
     qubes-kernel-vm-support, qubes-mgmt-salt-vm-connector,
     qubes-usb-proxy, qubes-input-proxy-sender,
     qubes-core-agent-thunar, qubes-core-agent-nautilus
    
    qubes-whonix-workstation-packages-recommended add dependency on:
     qubes-img-converter

commit 2afb7fb6e2f8a8c5b31b4944449c116b9b4d0183
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 10 15:42:24 2019 +0000

    bumped changelog version

commit e8c9b106bd101f1f72280b42f2afce0656b53b09
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 9 10:09:16 2019 +0000

    qubes-whonix-shared-packages-recommended depend on qubes-core-agent-thunar
    
    Thanks to @TNTBOMBOM for the bug report!
    
    http://forums.whonix.org/t/qubes-whonix-version-14-debian-stretch-based-can-be-upgraded-to-version-15-debian-buster-based-testers-wanted/7143/23

commit 79b7d4492fc35e5b0b084247b710fa4a05ff8094
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:29:02 2019 +0000

    bumped changelog version

commit 5588fed4f147d51cab4b69b7c3b59517c27a8296
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:34 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 5025583c1ab2c80906da5f2b2c8d092fb86b749e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:46:24 2019 +0000

    bumped changelog version

commit 910322d10141693f38cfe19ee5fdaf602399ff90
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:07 2019 -0400

    readme

commit 502a52d931b05e504546acaa23bb716dc5cc0f74
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:46:08 2019 +0000

    bumped changelog version

commit 0b32828c976dc044ae22efaa99a5f3b545383406
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 03:10:15 2019 -0400

    minor

commit 7be8f80649432bc2896859048ab05971de19c13d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 03:05:35 2019 -0400

    minor

commit 26b93771cfac046df562fea12eadb78620e2809d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:50:15 2019 -0400

    anon-shared-helper-scripts -> helper-scripts

commit 86fd17e24e05540f615f5eb05da6837546c5009f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:31:08 2019 +0000

    bumped changelog version

commit f6fa31d54ee85b1b66638a339cc6beeb44f5f00b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:55 2019 +0000

    update

commit ad255db1a306b4d1ed65a12af71f68472ed30a69
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:10:30 2019 +0000

    bumped changelog version

commit 05e7d21ef387c93744c309ed4959a7b3f0de43d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 06:03:37 2019 -0400

    remove duplicate trigger to fix lintian warning

commit e2dc78a181514fab78a4ed242bc901d9bd45b694
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 06:02:00 2019 -0400

    port to debian buster

commit 530a447376fce194136fe30d5b1c8bd911266924
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 06:00:05 2019 -0400

    port to debian buster

commit 704d8f35455dcde5239d3d5f344f56944fb1705e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:55:51 2019 -0400

    port to debian buster

commit 1f932427a8c6317bd20428f98f033acac8cd9162
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:51:05 2019 -0400

    port to debian buster

commit 506eab5a2150de42907f94963541638fa97b6f1e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:05:55 2019 -0400

    readme

commit 652655ff6db7352fe205de1568be142d30065685
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:59:33 2019 +0000

    bumped changelog version

commit 802b16d975eb20d4f17d8637c9218661343aecc4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:17 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit d39313a62842854a2f51608957a5ac2cd514e421
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:33:03 2019 +0000

    bumped changelog version

commit 3098434e17202aa92501ddd2b1a9ec23705dec40
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:40 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit 36f0b04d07c1d64d7321cdd354e76dda1a2746bd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 09:29:23 2019 +0000

    fix copyright year

commit f6e644e11edf61cdadaf84d04778f59d0d2d767c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 09:28:39 2019 +0000

    simplification

commit 11fc6981829118ad45f6219bc62d1f22080dca5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 09:27:24 2019 +0000

    upgrade from GPLv2+ to GPLv3+

commit d7c2156cda5567925479afc8f38dffa3afab4a33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 17 09:18:25 2018 +0000

    bumped changelog version

commit d09b66a06e3b8a70ea91bd62bad1fa996a5862ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 17 03:51:40 2018 -0500

    output

commit e282ca6052915fce94ecffee754338c6976e1a05
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 17 03:34:26 2018 -0500

    refactoring

commit 3af49e12c7e7e14b10570ae90e958d65d3245896
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:45:28 2018 +0000

    bumped changelog version

commit 5d4037915d32211814d5908d12f7759c46551112
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 23 06:31:53 2018 -0400

    fix

commit 5cc7752f242db25199cb182e1f36654eaf76853b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 23 06:27:41 2018 -0400

    improve Qubes detection
    
    if command -v "qubesdb-read" >/dev/null 2>&1 ; then

commit 99a431397fcc8edbd71efe386ba5f2f651eded23
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:35 2018 +0800

    readme

commit 8943a243e608dd362ca5a25e95ec1d2d938e8ac5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 17 11:27:57 2018 +0000

    bumped changelog version

commit a3ca3566ca0c4813949ddc015451e63e23fbb320
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 17 18:57:53 2018 +0800

    avoid starting qubes-sync-time.service
    
    https://github.com/QubesOS/qubes-issues/issues/4097

commit 1d488a2651b938e97016765661c3843a0bf8399b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 16 12:35:20 2018 +0800

    comment

commit eb79b5e7b519b4b945228fd0c60e1aba23e0e54c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 16 02:38:05 2018 +0800

    comment

commit 99cb91b0614c14c7b3625dc83ad613e6db7376de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 16 02:09:43 2018 +0800

    output

commit 436a278cf1e9f92e046b1ecf8a8dd97b9364a039
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 14 17:46:07 2018 +0800

    qvm-features-request whonix-gw=1

commit 372b19f258cf356cd45068af6ef7c85fe4f5e6cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 19 08:01:05 2018 +0000

    bumped changelog version

commit f9976c1c0585807ebb63ddee05aa94f35ae96c7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 19 07:17:33 2018 +0000

    fix, blocked upgrade issue
    
    https://forums.whonix.org/t/whonix14-qubes3-2-latest-upgrades-block-apt-networking
    
    Thanks to @qubenix for the bug report!

commit 9f906390a7c03140b6f304391d61bed66271db91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 14 07:35:56 2018 +0000

    bumped changelog version

commit fe1d4183c2bb13a45a439d8a612ae8ab2a44a9da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 14 06:00:28 2018 +0000

    create /var/run/qubes-service/whonix-secure-proxy-check-done also on failure
    
    when Qubes torified updates proxy test times out and gets killed  with signal
    sigterm by systemd

commit 56f56bab1012b8d98ed67cdef57cb2ed431d2ffa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 15:54:20 2018 +0000

    bumped changelog version

commit 5755c79ed24762e46a6d27bcfd6b7ff058b081ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 15:53:18 2018 +0000

    Skip waiting if torified Qubes updates proxy test is already done.

commit f662536e9f483245842ee5a4599b041d8191209f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 15:46:33 2018 +0000

    uwt for apt in Qubes TemplateVM: wait for Qubes torified updates proxy check
    
    to finish before showing an error message that Qubes torified updates proxy
    detection failed.

commit 253f4b98677dbb254b23d22417ac6e366368cad2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 15:30:48 2018 +0000

    refactoring

commit 93185e2b4fad5cdcef0b4fed141446e58efc1b0a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 07:10:04 2018 +0000

    bumped changelog version

commit 0787e6c03c0eb4931b67629316259e6535e3b2c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 7 06:29:50 2018 +0200

    torified Qubes updates check: also cover apt and apt-file

commit 99bf956afe813fadc2d4c990086b4106db4ec3b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 7 06:28:11 2018 +0200

    torified Qubes updates check: also cover apt and apt-file

commit 3c6ce925116808fffad26806e4fff281ace31345
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 12:23:28 2018 +0000

    bumped changelog version

commit 5d5aa4e8864cfef9a5108b5f178cdd28733d7990
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 10:30:31 2018 +0000

    fix, run "qvm-features-request whonix-ws=1" only on Whonix-Workstation
    
    https://github.com/QubesOS/qubes-issues/issues/3765#issuecomment-386805491

commit 75ef3de0731377002729dcf65e8268a191743394
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 6 16:47:00 2018 +0200

    fixed

commit 0ccf9fc9ccc08de9532d5dba882c6ab3fdb33992
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 6 15:37:52 2018 +0200

    fix path to etc/qubes/post-install.d/
    
    https://github.com/QubesOS/qubes-issues/issues/3765#issuecomment-386805491

commit cc007a0b986fcb31fcd3a55ed9caaea94994ea1d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 6 15:35:48 2018 +0200

    add etc/post-install.d/30-whonix-ws.sh
    
    qvm-features-request whonix-ws 1
    
    https://github.com/QubesOS/qubes-issues/issues/3765#issuecomment-386805491

commit d68d25f2eabc49527d1024ba00e9755e65b08973
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 12 15:04:01 2018 +0200

    output

commit 151df974462778a6a9d0deaa0242f640c4588a30
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 21 15:43:30 2018 +0000

    bumped changelog version

commit 10dea23f89507dcc222a93aa7cff8b162d9c54a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 20 16:16:39 2018 +0000

    remove 'mkdir -p /usr/local/etc/torrc.d'
    
    will be done by systemd unit file anon-gw-anonymizer-config.service

commit 8ee0b893357b2cba90466d0b8ccbc1b9139c7921
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 20 16:14:40 2018 +0000

    remove /etc/tor from bind dirs
    
    since we have torrc.d now

commit a234b54e33cb94118fef85da803adc6e81f47f57
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 11 00:42:53 2018 +0000

    bumped changelog version

commit ed3bb4ad23192251416ee22063b518db3a2a1a98
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 15:33:01 2018 +0000

    remove unneeded dependency on whonix-setup-wizard
    
    so it doesn't have to be installed on the workstation

commit 086647b507991e48fca11bc29d401edca66eda06
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 6 00:55:05 2018 +0000

    bumped changelog version

commit 80856241aab2898d4b8f665963991274d5816fe8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 6 00:43:16 2018 +0000

    cleanup, delete etc/cpfpy.d/40_qubes.conf

commit 694898b4c664190c938d6ccec10660481b6d5965
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 21:55:54 2018 +0000

    bumped changelog version

commit b47d13bc1b797577473394cfb25fbd9829e91af7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 21:35:00 2018 +0000

    .torrc -> .conf

commit a2c7a0563b90755db886f6fb187daba9a5009abb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:13:58 2018 +0000

    bumped changelog version

commit ecee272b9bdf4b7b592857fb008c9a07615fb0a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:33 2018 +0000

    readme

commit f06ad5c5294769b62851ed3db660dc6356450b8f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:55 2018 +0000

    update copyright

commit dcda4a24d2dba03a3677726db5dcbb7e7a443cc5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:22:03 2018 +0000

    update copyright

commit 8c6f07aedc2460ac26917fd5c08cd005c0b5f915
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:15 2018 +0000

    update copyright

commit 6f3b880ffb4febc0a1703c6d9479182ba1541efd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:40 2018 +0000

    update copyright

commit 273379f1a7a7e69ec7be88de5ab955857f1d4133
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:35:27 2018 +0000

    bumped changelog version

commit 3363b4cf91acb6146fc14e4cf3da42716b39c5f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:44:11 2018 +0100

    update path

commit 2df0cac6b09d0c84dc4a00e0d0122ec37d51b87f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 18 17:31:24 2018 +0000

    bumped changelog version

commit fc33b3723f32ff8df3920294c6b4e035ebe79fd2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 16 22:15:41 2018 +0100

    /usr/local/etc/torrc.d/

commit 8303c945bc18289a6b6a2baf4825569dd4d7043f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 22:48:30 2018 +0000

    /etc/torrc.d/torrc.examples

commit 5dcbe8da18e6f9b18777ab58eb70c1f8d2b6a7fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 21:05:14 2018 +0000

    /etc/torrc.d/torrc.examples

commit bd24b66c8a65574c5efba0b19463fd01f2550535
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 20:59:49 2018 +0000

    /usr/local/etc/torrc.d

commit e488a3b2052c7221bc51ab874c397f751e7c7482
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 20:56:01 2018 +0000

    /usr/local/etc/torrc.d

commit 72961ca9d6c1dab602e9be4753ee473bee9b47d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 20:55:27 2018 +0000

    bumped changelog version

commit 43aa431d39695cc8945cde3011567226e45cabf6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 20:12:27 2018 +0000

    lintian

commit f5e84d8ce7b6ba152debb2dbdbde0e0194c13040
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 20:10:40 2018 +0000

    bumped changelog version

commit c6394b79cbf0090f2b6f51922718c5b2cc2953c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 19:11:19 2018 +0000

    make sure /usr/local/etc/torrc.d exists

commit d7e154355cf4f6029de76040da44087bc3d89292
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 19:06:06 2018 +0000

    typo

commit e1cb0f600403abfb5c13136a0b4df89c4d6a41c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 17:09:48 2018 +0000

    move whonix-setup-wizard startup to whonix-setup-wizard package

commit 053c6132525741edc9c63fdef6993ce5689fb329
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 18:29:26 2017 +0000

    bumped changelog version

commit 35f88ed0815ad27fb5d42403b3ec45707e530858
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 22 13:45:48 2017 +0000

    remove legacy /var/run/qubes/this-is-templatevm

commit 5e6aee8b57b12e74cee7963c4eeb15fe78fe46c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 22 01:23:00 2017 +0000

    bumped changelog version

commit 8fc87c184c243f9892bccdbf066c2e8680d524f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 22 01:15:04 2017 +0000

    minor

commit b1997aec64b036c4d9797b26f8e1bcf23da4a304
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 22 01:13:17 2017 +0000

    update path to kioslave

commit 157cba43c6c5e47163d617a3fe680d81fd562d1d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 22 01:08:22 2017 +0000

    add trigger on /usr/bin/whonix-gateway-firewall and /usr/bin/whonix-workstation-firewall

commit 927b1f0465c0c5fe8e77ff6f0b302647291e7ee2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 22 01:07:14 2017 +0000

    update path

commit c2558ecf47779697a9414db7209486a1ea900835
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 23:27:22 2017 +0000

    bumped changelog version

commit 5f331c9c5f2082306e98aefa679c5092bf777a7d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 22:58:53 2017 +0000

    run curl torified updates proxy check as user updatesproxycheck
    
    so it will be let through Whonix firewall

commit dea1e02c0e1c1a4e686328e56df9deba17208c5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 22:46:07 2017 +0000

    create user updatesproxycheck

commit bda81a99558fc429aeb9fa76bd4a0b9ce837f3ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 21:43:57 2017 +0000

    bumped changelog version

commit bef7a0e5ca13138da8eef342a2837599cbc3cf19
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 21:43:33 2017 +0000

    whonix-gw-firewall | whonix-ws-firewall -> whonix-firewall

commit f94bdc88dbfd7000b5c8ebe05dfbb1627df1b4e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:34:13 2017 +0000

    bumped changelog version

commit a7ef27009be28cadf5691ce629636c58d42e9738
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:26:29 2017 +0000

    readme

commit 204157a025d78fe72f7c88094f63e3eb877690e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:02:02 2017 +0000

    bumped changelog version

commit 3612c12c413685034893aa88015796a214886e09
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 16:21:02 2017 +0000

    bumped changelog version

commit 6f51fbd7be80aaebf8fb5bf6783edc9fd094dffb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 16:15:45 2017 +0000

    output

commit 2e8a6fd352790fb2161f56a2506cfed7aa57acb2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 16:12:50 2017 +0000

    refactoring

commit ec56289123d8b089232d6fca0d23bdfd83ebc4a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 16:03:20 2017 +0000

    bumped changelog version

commit 0fd147dcf5db91d678a7e4ac5fa0b1b4eb1a9424
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 15:59:11 2017 +0000

    make uwt abort apt-get / aptitude in Qubes TemplateVM when torified Qubes updates proxy test failed

commit b41000520cc3c1b17196029b1637073212e5efb4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 19 11:48:53 2017 +0000

    whonix-secure-proxy aptoide support

commit d37af472c08d7200166fa2d40cb7577a4708a1e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 19 11:46:04 2017 +0000

    bumped changelog version

commit 8fc1dc70684443743def3d4da10caf5d0e2e301b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 19 11:45:30 2017 +0000

    add missing dependency python3 to qubes-whonix package
    
    to fix lintian warning

commit e6658eb5d85ffa8dfac6854ff737dd68f2da3d57
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 19 01:24:30 2017 +0000

    bumped changelog version

commit 616f8e310e2bc5106754a0767f65bb162029f897
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 19 01:22:42 2017 +0000

    alert script:
    - fix, no longer break when LANG is set to non-nonsensical value
    - better error handling

commit f1f3a7afd420f2277bb1700ef3ed394fddfafdd4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 19 01:08:36 2017 +0000

    add missing dependency python3-pyqt5
    
    required by alert script

commit 3f5e5778e91c4e3f58c11d7a775b2914edf91629
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 19 01:07:21 2017 +0000

    port alert script to python3 and qt5

commit 05c6bce3b0e8874a182612fbdf6e511f6b56f4b1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 15 18:41:54 2017 +0000

    bumped changelog version

commit dac56daeb0fd607a57c0e8e0b85970d31ef6dcee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 3 13:27:31 2017 +0000

    install pulseaudio-qubes in Whonix 14 for audio support
    
    https://phabricator.whonix.org/T641

commit 7363cd74f3f36b548cad8d282c17fd634322a4f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 21 22:42:08 2017 +0000

    bumped changelog version

commit d4d47b9c28514a82538f8cf7bfd2c2dbc6336389
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 20 14:13:53 2017 +0000

    update "Whonix-Gateway NetVM required for updates" popup message
    
    for Qubes R4 updates proxy and default non-networked TemplateVMs
    
    https://phabricator.whonix.org/T723

commit d9c9646f29ae0dff7d77629d062c035d1a011e7d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 27 12:47:36 2017 +0200

    bumped changelog version

commit e574d7c550d5ff9bc737a1726d2deead1be58454
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 24 14:14:41 2017 +0200

    remove /etc/resolv.conf from Qubes protected files
    
    to make Whonix-Gateway DNS functional
    
    to make meek (meek-lite) functional

commit 909aa6cb3218b846bd463fba48484980d4e7b813
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 24 12:58:08 2017 +0200

    typo

commit 91560698683f69e255c8e097da4be937c3ab82da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 12 02:59:49 2017 +0200

    bumped changelog version

commit 9a8d4b94865efceec7928d5498260a44241d96b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 12 02:44:53 2017 +0200

    Include qubes-core-agent-passwordless-root on Qubes 4.0
    
    https://phabricator.whonix.org/T697
    
    Credits:
    
    Emulate commit by @marmarek from Whonix 13 branch.
    
    https://github.com/marmarek/qubes-whonix/commit/e5a50d037f7646bc10716f6aeecb7773cd99ac8b

commit 34ec385b851b055a1da3be14ccbdd2993abf7deb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 11 23:13:28 2017 +0200

    Merge remote-tracking branch 'origin/Whonix13' into Whonix13

commit 47a8c243987d3e00bbc47b0e51623c92e36b45d5
Merge: 112bf7a 19409f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 11 18:38:41 2017 +0200

    Merge remote-tracking branch 'origin/master'

commit 19409f396021fb9a18ec64586a80e6980fee5578
Merge: 112bf7a 65818d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 11 16:34:58 2017 +0000

    Merge pull request #4 from marmarek/qubes4
    
    Make qubes-whonix package compatible with Qubes 4.0

commit 65818d5da96e88f6f8311ded46354504f446ece3
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Sat Sep 9 14:48:13 2017 +0200

    Add dependency on appropriate qubes-core-agent-* subpackages
    
    In Qubes 4.0 qubes-core-agent is split into multiple smaller packages.
    qubes-core-agent-networking is needed for proper networking support.
    
    qubes-core-agent-dom0-updates is needed for Whonix Gateway to function
    as UpdateVM.
    
    https://phabricator.whonix.org/T697

commit 01964e3c8c53b49aa14e56f7924fce5e88b5a448
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Sat Sep 9 14:25:00 2017 +0200

    Use appropriate updates proxy if it is qrexec based
    
    In Qubes 4.0, updates proxy runs on qrexec and templates have no other
    network access. This is accompanied with local TCP listener redirecting
    the traffic to the proxy.
    If the listener is active, use its address.
    This variable is (currently) used only to check if the proxy is
    torified. Actual proxy setting in apt is done by standard Qubes startup
    scripts.

commit 3cad28fdff4445f85062fd4672017dd0a37aae31
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Sat Sep 9 04:36:24 2017 +0200

    network: use `qubes-primary-dns` QubesDB entry if present
    
    For a long time the DNS address was the same as default gateway. This is
    still the case in R3.x, but using `qubes-gateway` configuration
    parameter for it is misleading. It should be up to dom0 to provide DNS
    address (whether the value is the same as gateway or not).
    
    QubesOS/qubes-issues#1817
    
    (manually cherry-picked from
     qubes-core-agent-linux@fb9b3b62c02427b80657056805a9bac7756c98b3)

commit 112bf7aad283df3ce631a7362338dcba90d6e837
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 3 12:46:17 2017 +0000

    onion-grater systemd drop-in path fix

commit f1fc283f937b429fc841d5ee9413a902f5fc1a15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:35:45 2017 +0000

    bumped changelog version

commit 7c20dd89770053b02b36b6865e41ba6ac30dc2c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 03:17:24 2017 +0200

    control-port-filter-python -> onion-grater

commit 063a2d6643a04bf44aa0553c6631c2f65126d086
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 03:13:08 2017 +0200

    control-port-filter-python -> onion-grater

commit 9e333fba32f5197edbf2ff92785d9e4851981789
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 16:15:08 2017 +0000

    bumped changelog version

commit b932ac775da5d1a82c96167f8613ddc597ca8bcb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 2 16:44:29 2017 +0000

    improve Description=

commit 356e082814a1cfe552f6af02262bcfea306ac670
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 2 16:41:03 2017 +0000

    minor

commit 67d2a83ddda09208d712b59f4e9be8bc48a59f12
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 2 16:40:40 2017 +0000

    copyright

commit d15dea40023b671cb886796aa2e00df8f81d7bea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 2 16:40:16 2017 +0000

    minor

commit afcdbbaa6bc46d06b4dca4a37c60079d1d6305c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 2 16:39:15 2017 +0000

    add Requires=qubes-whonix-redirect-9050.socket
    
    override lintian false positive
    
    remove [Install] section since static unit
    
    https://phabricator.whonix.org/T610

commit 3344c64e6d622a5c429c8a1b56a394e5864e39d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 1 20:19:35 2017 +0000

    fix

commit eed4d291769be16c518956eea539e3f0b61954b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 1 20:18:25 2017 +0000

    redirect 9050 to in Qubes TemplateVM to sys-whonix for apt-transport-tor support
    
    https://phabricator.whonix.org/T610

commit f31cc8d4e17b0efed3d97be96acff039199bb476
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 01:42:38 2017 +0000

    bumped changelog version

commit e88e8a183d693c94cc4e9dc07f63e86191e37929
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 22:15:47 2017 +0000

    use systemctl --no-pager to prevent blocking due to systemctl interactivity
    
    https://phabricator.whonix.org/T637

commit 9c3193278440b7dec20984cb589e55e2d83cb887
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:05:29 2017 +0000

    bumped changelog version

commit 73a2aa4438f56aeafe7b8344a2e65c4dd0f514bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 21:42:58 2017 +0000

    minor

commit 81d23938e303c232430931cd9227ac74718343b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 17:26:29 2017 +0000

    readme

commit 051f6167ea374556d599407c83cbf22f2a49e252
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:51 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit a5433af53fd9cdcd47e98d5d0560e683c48f5319
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:25 2017 +0000

    remove debian/gain-root-command workaround

commit 8ba7db098831dde499fc0dd1a1a25f8859a8938a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:32:02 2017 +0000

    minor

commit fbdb1cd23dad09e12475a60a460147664adb8753
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:31:26 2017 +0000

    remove deprecated gain-root-command from copyright

commit f162e390921a250b23f338599cbafc5518d76a8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 02:08:05 2017 +0000

    bumped changelog version

commit fe3a2329739ad78ad2a6c48ed7dfb5a0893006a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 31 14:42:34 2017 +0100

    cups and system-config-printer from qubes-whonix-workstation-packages-recommended
    
    https://phabricator.whonix.org/T619

commit 1ca38f484e907b6fac857e432d81040b1cfd5cb3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 31 14:40:03 2017 +0100

    remove obsolete comment

commit 8bfd0f5be6e4d9a41051c8b07c3dbaea8fa5c600
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 12:15:48 2017 +0000

    bumped changelog version

commit 80df0c3add567b911772b98de3e1a5e82ba136f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 12:15:29 2017 +0000

    add Documentation=https://github.com/Whonix/qubes-whonix to fix lintian warning

commit 80e3c5d7801dcfd33b76f9976b0c7ba0caacb623
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 12:13:57 2017 +0000

    bumped changelog version

commit 50a7b477273afc4bd97cbab1b819b57dfcb6825a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 12:13:25 2017 +0000

    add Documentation=https://github.com/Whonix/qubes-whonix to fix lintian warning

commit 9d324e9bbabf403c8e728bebf94b352e61cd8c1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 12:10:54 2017 +0000

    bumped changelog version

commit e7e56555a54244bc6fe97bae50e97dffba2096ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 12:42:05 2017 +0100

    clean up dependencies to resolve issues upgrading to stretch
    
    xsettingsd
    gnome-themes-standard
    xinit (not up to qubes-whonix)
    versioned depends (no longer required)
    python-guimessages (already implicit dependency of whonix-setup-wizard)
    network-manager
    network-manager-gnome
    gnome-packagekit
    gnome-terminal
    locales (Whonix firewall already depends on it)
    iptables (Whonix firewall already depends on it)
    initscripts (not up to qubes-whonix)
    xdg-user-dirs (not used)
    xen-utils-common (Qubes already depends on it)
    mate-notification-daemon (maybe re-add later)
    libnotify-bin (maybe re-add later)
    notify-osd (maybe re-add later)

commit b0eb001a05d1fcbe00b04cfc5ddfb27191366452
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:34:30 2017 +0000

    bumped changelog version

commit eeadf3ca6897a9b2032eccacdfd999b46887a8f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:39 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit 8b73815377d3443cd02960cb8c10fc205fe3856c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 02:56:13 2017 +0000

    bumped changelog version

commit 9cb5f77eea5072c6210c1f03c6085fe7fb17da6f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 03:50:59 2017 +0000

    Documentation=https://github.com/Whonix/qubes-whonix
    
    to fix stretch lintian warning

commit 6afa69962e5bc1a02ec74e8ac628b8129f881cb6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 8 05:41:46 2017 +0000

    remove StandardOutput=syslog

commit d65d3f37c8512dd7dacb5ef680043fa94d591b7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 25 02:25:44 2016 +0000

    torified-updates-proxy-check: leave timeout to systemd unit
    
    since curl does not timeout and simpler to implement
    
    https://phabricator.whonix.org/T533

commit 170fe0941c9c287d0a1c28e5cc9ab32844c728e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 24 20:12:08 2016 +0100

    torified-updates-proxy-check: fix, instant exit when connected to non-Torified updates proxy
    
    Thanks to @marmarek for the suggestion!
    
    https://github.com/Whonix/qubes-whonix/commit/1c99edbbce1f375591f2e42aaf679ba7492b4dd8#commitcomment-20288662

commit 1c99edbbce1f375591f2e42aaf679ba7492b4dd8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 23 23:41:54 2016 +0100

    torified-updates-proxy-check: wait up to 120 seconds
    
    So it does not timeout if Whonix-Gateway is still in timesync-fail-closed mode.
    
    https://phabricator.whonix.org/T533

commit 921754dc39dddab4072be942f8a3374c9c8c16e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 18 16:23:41 2016 +0100

    fix sdwdate.service.d/40_qubes.conf and whonixcheck.service.d/40_qubes.conf
    
    ConditionPathExists=!/var/run/qubes-service/updates-proxy-setup
    ->
    ConditionPathExists=!/var/run/qubes/this-is-templatevm

commit 542afe6e26f29d784dad4850fc0aeaedc66e98a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 18 16:17:53 2016 +0100

    fix, delete lib/systemd/system/swap-file-creator.d/40_qubes.conf
    
    ineffective and there is a correct file
    lib/systemd/system/swap-file-creator.service.d/40_qubes.conf
    anyhow

commit 988a1c5cbda1167d699339a3b74e5117e0c39300
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:25:03 2016 +0000

    bumped changelog version

commit e4a2c7c41d7a61f3422259906c8a376211578101
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 9 20:18:20 2016 +0100

    qubes-whonix add dependency on qubesdb-vm
    
    https://github.com/QubesOS/qubes-issues/issues/2497

commit 0f1fed96ed94db38822946bd64a75fd81893604e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 9 20:14:59 2016 +0100

    postinst: Do not break in case qubesdb-vm is also upgraded and not running.
    
    https://github.com/QubesOS/qubes-issues/issues/2497

commit d054640facbb7df9dfe0b486d7fdbc4b455e40f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 22:51:19 2016 +0000

    Before=tor-controlport-filter.service
    
    https://phabricator.whonix.org/T573

commit 1e69c6a34c67ab843444bf21e69ccb1fc8a3692f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 22:43:15 2016 +0000

    minor

commit c8668b62c7e1cad281bf0117dd87a10d354a17cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 22:42:31 2016 +0000

    remove obsolete comment

commit 85e00300e570139a588c1d0d2f0b20b05ecc60aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 22:40:24 2016 +0000

    - adjust for control port filter by Tails
    - IP replace /usr/share/whonix-gw-network-conf/network_internal_ip.txt
    
    https://phabricator.whonix.org/T573

commit cdf26f1f0ca1fbb7425edcf852b42d73d2e7c6d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 27 00:58:35 2016 +0100

    sudoers
    
    https://github.com/QubesOS/qubes-doc/pull/228#issuecomment-263093115

commit 2cb07ad6b703592240c1b682e0f53c102d3a9b57
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:42:30 2016 +0000

    readme

commit 92eab9d132a640ca8421949c348e098557be0465
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 9 16:09:14 2016 +0000

    Comment out /var/lib/whonixcheck permission fix.
    
    This cannot work the legacy function since it is run before function bind_dirs.
    
    Will be reimplemented in whonix-legacy.
    
    https://phabricator.whonix.org/T533

commit 920e1592e9d54e213c3a84d06752ea1dc6f238d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 26 20:08:24 2016 +0000

    qubes-whonix-sysinit.service:
    Before=shutdown.target
    Conflicts=shutdown.target

commit 644c0fbbd67bf628100783f688d3a3a5177d98be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 26 20:07:50 2016 +0000

    qubes-whonix-network.service: Before=shutdown.target

commit a2a9da6775c6a02a9764337f4bbafb34bb25ca1e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 16:25:03 2016 +0000

    sudo --non-interactive
    
    https://phabricator.whonix.org/T549

commit aedc2574f02e8d73812ea2b7bdab69639ee84b2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 02:37:21 2016 +0000

    fix, do not restart whonixcheck in redundant cases
    
    comments

commit 88279e6061eff33dceeb21f92fe27ff13aee8dbe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 02:30:02 2016 +0000

    fix

commit 1c793c84f119a080dd79b0d956fad4bb864d4efa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 01:15:22 2016 +0000

    legacy, change /var/lib/whonixcheck permissions to user 'whonixcheck'
    
    https://phabricator.whonix.org/T533

commit e6c261f1a2aba563696b5f8eac10070ca0bad9ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 23:06:05 2016 +0000

    removed Whonix firewall notice because this was merged into whonixcheck
    
    https://phabricator.whonix.org/T488

commit ffe508a7c18bc09be20d4344369fb1114cde38f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 23:02:00 2016 +0000

    comment

commit 70ab3deeba7bcd1695dd86702a7b5656ba0db9be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 22:59:25 2016 +0000

    cleanup
    
    no longer required:
    ConditionPathExists=!/var/run/qubes-service/whonix-firewall-failed
    
    because network will no longer come up on Whonix firewall error.

commit edd95e52b935029bca89642bba86f29a59ebbf45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 20:19:00 2016 +0000

    Add Fail Closed Mechanism.
    
    When the Whonix firewall systemd service failed, do not bring up the network.
    
    After=whonix-firewall.service
    Requires=whonix-firewall.service
    
    Related:
    https://github.com/QubesOS/qubes-issues/issues/2248

commit d8a439fa8f4364a22918d2c73db39cac6f27eef5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 18:02:49 2016 +0000

    comment

commit d041c02e4a6b47cb63f0b1bdd85cd97415125438
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 17:58:26 2016 +0000

    clean up /etc/systemd/system/multi-user.target.wants/qubes-whonix-firewall.service

commit ba480ac0b1f40406f36da1b0de04bdcdb97b2482
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 18:23:35 2016 +0200

    migrate qubes-whonix-firewall as whonix-frewall systemd service to whonix-(gw|ws)-firewall packages

commit 8bceb986f149b3571eae7dc5fc244cee675a8910
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 16:19:05 2016 +0200

    move enable-firewall script to anon-shared-helper-scripts to make it more generic

commit f9fa30066826d5468337b4a515edbe455fcfcde5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 16:13:31 2016 +0200

    make it more generic, /var/run/whonix-firewall -> /var/run/anon-firewall

commit fd987814dad7acbab22217407fdf7022896d3263
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 16:12:01 2016 +0200

    comment

commit 48a9a00e5dfc6fc1e2813697d14621010f733287
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 16:10:20 2016 +0200

    comment

commit 3608631ea62ed158cb3272dee1f590bafbf13ca5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 16:07:57 2016 +0200

    comments

commit b1fc6460cb54e621e059ad59a703b90ec9f2f40e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 16:03:30 2016 +0200

    copyright

commit d7d34212063e4cf3a330b9ada07b85ffdc03950d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 13 02:13:30 2016 +0200

    refactoring

commit dbcc232cb5bafbc71ae0187a6a9de4b622deb744
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 13 02:07:46 2016 +0200

    use || true on firewall_lockdown function

commit 7fa168de1e13574414ad96c7a722471aae303fe5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 13 02:05:27 2016 +0200

    drop also IPv6 traffic in firewall_lockdown function
    
    not required right now, because IPv6 is disabled in Whonix by default, but good to have for the future

commit 5fad8972687a476526c5b99b5c157d34c9a6dd6d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 13 02:04:03 2016 +0200

    flush also raw table in firewall_lockdown function

commit cc2caa9c1d8ba48e7ea9e95d4b4428215928e4f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 13 02:01:27 2016 +0200

    refactor enable-firewall script
    
    useful to implement firewall on-failure network lockdown feature

commit 233b7fd11c14fec58204d513747d496aaefcb386
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 13 01:46:35 2016 +0200

    copyright

commit 4c5b1736481de2908d4357decc465195df963a0f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 13 01:45:08 2016 +0200

    no longer source utility functions, since no longer required

commit 9875ea0e36bdb3cf17c261c10d98c18e8eb2f65f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 10 14:36:48 2016 +0000

    fix, allow qubes-whonixsetup restarting whonixcheck in /etc/sudoers.d
    
    Thanks to @crat0z for reporting this bug!
    
    https://github.com/QubesOS/qubes-doc/pull/176

commit 23850a28e5947f81957a249bbeab1fdf3794cbed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 1 01:31:49 2016 +0000

    bumped changelog version

commit bbfe3682c718b4fd38907a9165972f8c773b5748
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 1 01:28:10 2016 +0000

    added Conflicts=shutdown.target to qubes-whonix-(firewall|network)
    
    since we are now using DefaultDependencies=no
    
    https://phabricator.whonix.org/T528

commit f0d3995a70eb3b03f11e22057b45477fb59dd787
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 31 20:05:20 2016 +0000

    bumped changelog version

commit bcdc2e6a15b0f3558ca34407f0716af33dacbebe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 31 20:03:24 2016 +0000

    Qubes R3.2 compatibility fixes
    
    fix systemd dependencies
    
    start Qubes-Whonix firewall earlier
    
    start qubes-torified-updates-check before qubes-updates-(proxy|cache)

commit bdc51b231790fbc017df02ec6ea4ec18273005b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 25 20:43:39 2016 +0000

    emable xtrace for usr/lib/qubes-whonix/init/network-proxy-setup

commit 22cf0c630263c10cb72ad8ae369a73c4ac84420c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 25 20:04:24 2016 +0000

    bumped changelog version

commit 2c376f53e113f8d283c75d2f9d7ea6d28aa09eb5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 24 01:14:18 2016 +0000

    cleanup

commit 313d727d41d1224d7a02bb1f3bd9e86cfe8a6c25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 24 01:13:37 2016 +0000

    cleanup

commit fc09a9f1985cc80a95da7202b7c3798505a3f9cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 24 01:13:21 2016 +0000

    cleanup

commit bbd723891d9ba4a85ee325ab70316e78a73b0a5c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 24 01:12:17 2016 +0000

    cleanup

commit 0f5fee3fb929700c49f1286f7d70476dd0118050
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 24 01:11:23 2016 +0000

    cleanup

commit 781afae4f847bd4e5f1f60ad10f9c6e86c964044
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 24 01:08:19 2016 +0000

    Qubes Whonix Torified Updates Proxy Check: wait for network-online.target
    
    rather than network.target

commit fa6fe8cea58706652d0ac15188612f75c3f84f19
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 24 00:46:38 2016 +0000

    override with  || true, just in case
    
    https://github.com/QubesOS/qubes-issues/issues/2191

commit cce19fd1fdf08056a428cadddb817365208337f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 24 00:44:47 2016 +0000

    bind-dirs.sh legacy snippet: add shebang for syntax highlighting
    
    https://github.com/QubesOS/qubes-issues/issues/2191

commit 2660abb14fbf77ec60adebd5207c537542910af5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 24 00:43:03 2016 +0000

    only run bind-dirs.sh legacy function on mount, not on unmount
    
    https://github.com/QubesOS/qubes-issues/issues/2191

commit f3acd5d78f28864505a405b5db275aba33876d7a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 24 00:20:51 2016 +0000

    run bind-dirs.sh legacy function only once
    
    https://github.com/QubesOS/qubes-issues/issues/2191

commit 4f09e149ea7e4975037f8389267fb385d5ab3a2b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 22 21:03:32 2016 +0000

    qubes-whonix-network.service: remove Before=qubes-update-check.service qubes-update-check.timer
    
    for simplification
    
    this is up to qubes-update-check

commit e4869c40461c14168531cf83acdb8281cdf302d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 22 20:18:56 2016 +0000

    Before=network-pre.target

commit 6be0af746b74623502c78b89c6494b0be4bda932
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 22 20:13:47 2016 +0000

    removed trailing spaces

commit 0fcbfd1ca440de133546260ab245ecff47375c66
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 22 19:49:09 2016 +0200

    bumped changelog version

commit e695bd889fa3a88fd85b931dbabbae3819f8e70e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 22 19:13:35 2016 +0200

    bind-directories: also exit if qubes-core-agent version is equal or higher than 3.2.8-1+deb8u1
    
    https://github.com/QubesOS/qubes-issues/issues/2191

commit cf92e9ec33550225a7e173a08b89e23223687988
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 22 19:03:36 2016 +0200

    fix bind-dirs.sh legacy function
    
    https://github.com/QubesOS/qubes-issues/issues/2191

commit b3e659b09b5b84b9f4e62c33ec296e07523be8d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 22 18:46:56 2016 +0200

    enable debugging for torified-updates-proxy-check

commit 90abf358de68f0d11925a4b389070066116ef7c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 22 17:47:20 2016 +0200

    bind-dirs.sh path change fix
    
    https://github.com/QubesOS/qubes-issues/issues/2191#issuecomment-234579680

commit 3df330ec898f5867fc208cd5b06950e335222f97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 7 21:24:58 2016 +0200

    fix, run qubes-whonix-postinit systemd service after tor@default systemd service
    
    Thanks to claudi8b6 for the bug report!
    
    https://forums.whonix.org/t/no-connectivity-in-gw

commit f2b70404f6a735872b707684bf634ee1577b0d2c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 30 21:58:48 2016 +0200

    bumped changelog version

commit b487b674c685995e5d31083eaf52d1ff0deda6c7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 29 14:24:07 2016 +0000

    cleanup ConditionPathExists for qubes-whonix-qubes-updates-proxy-enable-maybe
    
    https://github.com/Whonix/qubes-whonix/pull/2

commit 064bc2b32d7f985d37501d884722a2f79a715500
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 29 13:57:33 2016 +0000

    improve qubes-whonix-qubes-updates-proxy-enable-maybe.service
    
    As per suggestions by @rustybird.
    
    https://github.com/Whonix/qubes-whonix/commit/4d9e38304050c4fd1ea49b08078298da10939d5c#commitcomment-18060234

commit 4d9e38304050c4fd1ea49b08078298da10939d5c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 28 17:01:34 2016 +0000

    add separate qubes-whonix-qubes-updates-proxy-enable-maybe.service
    
    No longer mix up with qubes-whonix-sysinit.
    
    Refactoring, renamed
    usr/lib/qubes-whonix/init/enable-services -> usr/lib/qubes-whonix/init/qubes-whonix-sysinit
    
    https://github.com/Whonix/qubes-whonix/pull/2

commit 4166437a4bc5bf80d01f6f87d9d12caf4bddbea7
Merge: c4cf738 533d81b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 28 17:04:39 2016 +0200

    Merge remote-tracking branch 'origin/master'

commit 533d81b5a584f5462861e8cc5728ff7c89125a72
Merge: c4cf738 c1371ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 28 17:03:42 2016 +0200

    Merge pull request #2 from rustybird/qubes-updates-cache
    
    qubes-updates-cache: Signal torified proxy to client

commit c1371ed2219aad88b0b3ff9f6056f0efeed50b62
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Jun 24 15:27:49 2016 +0000

    Ship premodified tinyproxy/squid error pages
    
    This way, the user won't have to restart qubes-whonix-sysinit.service
    after updating tinyproxy or qubes-updates-cache, and system startup will
    speed up a little.

commit 8960cb3233f01a2c88b37c00977224ddf10b2079
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Jun 24 15:27:48 2016 +0000

    qubes-updates-cache: Signal torified proxy to client
    
    Also allow users to manually enable the non-caching proxy on
    workstations, though both proxy and cache currently cannot function
    there because the necessary firewall rules are missing.

commit c4cf738ea5c9d92c90078fc122212d17cecba8ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 11 13:57:12 2016 +0000

    tor systemd service: After=qubes-sysinit.service
    
    Before fix lands in Qubes R3.2 and above.

commit abf337f50d0b69b76e26b3f7d7f87d1cfa7092d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 11 13:38:19 2016 +0000

    Do not start tor@default service in TemplateVM.
    
    Not doing that already for the tor service.
    
    Since the actual tor service was renamed to tor@default by upstream.

commit d4eb18a03a8e60b9cb985062619aae775271660a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 2 11:52:30 2016 +0000

    do not use tput if variable TERM is empty
    
    https://phabricator.whonix.org/T505

commit 1ea8a3e857b4e57a3ed86860850d9cc94ec4a4f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 17 16:23:02 2016 +0000

    fixed 'double terminals shortcuts with one right click' in Nautilus bug
    
    by no longer installing nautilus-open-terminal by default.
    
    Fixes https://github.com/QubesOS/qubes-issues/issues/1670
    
    Thanks to @TNTBOMBOM for the bug report!

commit dd766de131925ad23fbb4ba087688cadb09d8416
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 28 00:27:08 2016 +0000

    bumped changelog version

commit d352376bdef192607d2d50bf6099e20f66f70db2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 27 23:58:32 2016 +0000

    removed /usr/share/xchat-improved-privacy/.xchat2/xchat.conf from replace-ips
    
    since that location is now obsolete and we better not replace files in
    /etc/skel to avoid dpkg changed configuration prompts

commit ce2a36ebab3a645e70e4a9b49cab707583d5e518
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 27 23:56:18 2016 +0000

    added to replace ip's script /home/user/.config/hexchat/hexchat.conf

commit 4e846893234087c70e2cb154be83e65984a46570
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 27 18:59:29 2016 +0000

    bumped changelog version

commit 8438d13d75822e9ea800b9eb6024063f476636ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 26 05:16:29 2016 +0000

    added /var/cache/tb-updater to bind directories

commit cd7b99b2e30e1d73cf2aa4f5e6dd9f04a96f3f41
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 25 23:27:55 2016 +0000

    bumped changelog version

commit abd1734a95152d9978e9749ee066aa85efa6f6df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 25 19:54:24 2016 +0000

    Use Qubes bind-dirs.sh rather than Whonix bind-directories once available.
    
    https://phabricator.whonix.org/T501

commit ffa9fe882a3c760290960b791be58c6a481adc97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 25 19:42:23 2016 +0000

    licensing

commit a738a685c911a816ea4bf9c0ee090edb777ef9e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 25 19:41:15 2016 +0000

    SetDateTime / SyncNtpClock do not echo to stderr / exit 1
    
    to prevent systemd (logs) getting confused
    
    https://phabricator.whonix.org/T384

commit c0c3875c32c2f17358ef7e4a7cbb15ee48d8041d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 25 19:38:26 2016 +0000

    prevent running /usr/lib/qubes/qubes-setup-dnat-to-ns in Qubes-Whonix
    
    to stop it from modifying firewall rules
    
    https://phabricator.whonix.org/T502

commit 8b07868af03c8db810eec1ccd40b92cfc559759e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 25 21:10:20 2016 +0200

    typo

commit 65fac1f6eb3fd0cfa1d5beb47b757ac4263a5537
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 21 21:38:56 2016 +0000

    made /var/cache/anon-base-files persistent
    
    https://phabricator.whonix.org/T419

commit ff93b8f77754e377128947be9042febce378ea04
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 19 19:44:41 2016 +0000

    bumped changelog version

commit 738ccedf0b4ad1af8cfab809159b66d0aa83aa0b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 18 22:07:36 2016 +0000

    torified-updates-proxy-check: increased timeout to 10 just in case

commit be3573628279041ead4b62fe63c60c438bcd3cf7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 18 21:58:23 2016 +0000

    fixed 'Templates incorrectly think they're not connected to a Whonix gateway.'
    
    Created qubes-whonix-torified-updates-check.service that runs after the network is up.
    
    Thanks to qubenix for this report!
    
    https://forums.whonix.org/t/templates-incorrectly-think-theyre-not-connected-to-a-whonix-gateway/2258/7
    
    https://phabricator.whonix.org/T496

commit 9bba8f220d42c1fc536c984131d9fe587abe3ad3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:40 2016 +0000

    bumped changelog version

commit eb1312b1c3ba698eb4db1b03202efcbf7a248382
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 19 16:19:31 2016 +0100

    no more tabs
    
    https://github.com/Whonix/qubes-whonix/pull/1

commit 8b90b035aac8e0c8c2fdeca415a73010c4f7bb92
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 19 16:05:32 2016 +0100

    manually merged pull request '[network-proxy-setup] Permit !CONFIG_MODuLES'
    
    by @loveithateit
    
    https://github.com/Whonix/qubes-whonix/pull/1

commit a3160466b318acc8e8f2397ac42d287b34b3c617
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 19 15:58:58 2016 +0100

    refactoring, more similarity to Qubes implementation
    
    preparation to merge pull request
    '[network-proxy-setup] Permit !CONFIG_MODuLES'
    
    https://github.com/Whonix/qubes-whonix/pull/1

commit 716b4551c67825de13f3fb331a163882c01e1894
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 6 23:05:56 2016 +0000

    also exit from bind-directories if file /var/run/qubes-service/qubes-dvm exists
    
    Thanks to @marmarek for the suggestion!
    
    https://github.com/QubesOS/qubes-issues/issues/1328#issuecomment-169483029

commit 267e26cec9c50aa115af52254629931346766588
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 6 19:34:39 2016 +0000

    fixed '/bin/sync hangs forever in whonix-ws-dvm'
    
    https://github.com/QubesOS/qubes-issues/issues/1328

commit deabdc2456beaca3fb23ca616608ed59a69b9f77
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 22:23:44 2015 +0000

    comment

commit 8b4e05eb92376d9bbd3df1d7779749c8bddd93a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 22:08:50 2015 +0000

    no need to replace-ip /usr/lib/anon-ws-disable-stacked-tor/torbrowser.sh

commit dfaa794012bdf527082293f10aabab28819727fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 22:05:40 2015 +0000

    cleanup

commit 77e18868d3b8692754e44bb7a1e51a8e2bc9cbd7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:46:42 2015 +0000

    removed update-torbrowser because it now has native Qubes support

commit c48ee7b06d011080cd5f97f4766f9f5f7856bc03
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:12:04 2015 +0000

    no more need for /etc/sdwdate.d/32_timesync_plugin_disable.conf
    
    since sdwdate-python will no longer dispatch hooks to interact with the
    timesync application

commit 848df6b4eabb781757e1d442cf80c75708fc9fec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:11:18 2015 +0000

    no need to reintroduce /etc/sdwdate.d/40_qubes_stream_isolation_plugin.conf
    
    because sdwdate-python has native Qubes support

commit b337e3d7c89c5790f63e9e1bbf9e2c702af47610
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:10:24 2015 +0000

    no need to reintroduce /etc/whonix.d/40_qubes.conf

commit f4f6bd3bd916d571cc59ab6c463fc1b24fe94764
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 21:40:26 2015 +0000

    moved bind-directory notes to https://phabricator.whonix.org/T414#7386

commit 0b3952c8aebb16238731002e8f5baac5e8c4e4bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 21:22:58 2015 +0000

    typo

commit 1c6b7b136c97f4a5dc465d469a0552b9b5ee7983
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 19:59:24 2015 +0000

    updated NOTES

commit 7b69731713cbe5e57071056354c8ecd3260c0b33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 19:55:10 2015 +0000

    typo

commit 8282d2cef8cb8a22033594a1164395373e4dfced
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 19:43:28 2015 +0000

    Only source configuration files that end with the '.conf' extension.
    
    Thanks to @nrgaway for the suggestion!
    
    https://phabricator.whonix.org/T286

commit d18ef98206bdbc1a83b3d94b872e66969878c4b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 23 10:20:54 2015 +0000

    comment
    
    https://github.com/marmarek/qubes-core-agent-linux/pull/53

commit 5696071c29eb854dc3161797d7fdcef9377116f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 23 10:16:17 2015 +0000

    less dependency on /var/run/qubes-service status files
    
    https://phabricator.whonix.org/T432

commit 201b50cba24d19639d69cdf172f1f5483897ed5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 22 23:59:52 2015 +0000

    usr/lib/qubes-whonix/replace-ips: no longer depend on /var/run/qubes-service/
    
    https://phabricator.whonix.org/T432

commit 26afe297282f8979db6610b4d3558e1e26641664
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 22 23:49:47 2015 +0000

    typo

commit 8fb3a6e0fb9e879c8d46fa4525aa2d0821c53959
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 22 21:46:51 2015 +0000

    removed unneeded qubes-update-check systemd service Whonix specificness
    
    https://phabricator.whonix.org/T433

commit 5c6d7223f4b2d7d540aa69384a6308160aef5b5a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 13 15:52:08 2015 +0000

    bumped changelog version

commit fd0bb6627039e5cf1a896ae308edc698e84ccb02
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 12 19:56:38 2015 +0000

    comment

commit d386885db0e666f4011f892e2be8c2049de3b077
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 12 16:54:36 2015 +0100

    prevent qubes-updates-proxy.service from possibly modifying Whonix's firewall
    
    https://phabricator.whonix.org/T427

commit e1ec07d10dea497ed0840ea68103820fedfa7183
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 11 13:29:48 2015 +0000

    Start qubes-whonix-postinit.service and thereby replace-ips early enough.
    
    Fixes https://github.com/QubesOS/qubes-issues/issues/1398.
    
    Thanks to @qubesuser for reporting this issue!

commit 1d7c2793dbe6aec350f30b56674dd5b9f1b94de4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 10 19:15:14 2015 +0000

    comment

commit 9ebc18cb21976144a77f41a566413be747111cb1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 10 13:09:12 2015 +0000

    added more comments to ease fixing https://github.com/QubesOS/qubes-issues/issues/1398

commit 8c0f2b0092eb30ff3230861c414683c5535f1028
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 11:56:53 2015 +0000

    bumped changelog version

commit 790679d88bba74a587dbaedaae1ea166dcdf0989
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 19:05:50 2015 +0000

    qubes-whonix-firewall: Preventing race condition with Qubes Whonix Setup.

commit ddfaf59791e01cf2aa0b1129e38c06d588d78612
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 15:12:21 2015 +0000

    Whonix 11 upgrade path to Whonix 12, clean up Whonix 11 leftovers

commit 68aefcf629dfffc4ec11b4bb8dfa783dd9832fe0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 15:04:22 2015 +0000

    comment

commit 6a5ebfd89faa42e9dbd1c378c80fbb21531203ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 15:01:43 2015 +0000

    do not run control-port-filter-proxy-python inside TemplateVM

commit cafba138f4ed7915c769a0543138654b16c7ebfa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 14:55:52 2015 +0000

    debugging, enabled xtrace for qubes-whonix-postinist and bind-directories

commit 9e20a6e653e1c0cf17f8b9e538bfcd7c73ac513c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 14:53:53 2015 +0000

    fix qubes-whonix-postinit systemd unit, added After=qubes-mount-home.service for backwards compatibility

commit 4f0de50d32edf993f80035414806ece9d59950fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 4 00:11:41 2015 +0100

    bumped changelog version

commit bf7d76b10a2b773ac9a81f584230dcfb40961a43
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 4 00:10:42 2015 +0100

    fix, qubes-mount-home.service -> qubes-mount-dirs.service

commit 81b074d0664dd8588f249eca5002a8df79827036
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 22 23:12:37 2015 +0000

    bumped changelog version

commit 3ec013833450d352a8de45424aebce6786e3681f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 22 23:04:14 2015 +0000

    added qubes-pdf-converter to qubes-whonix-workstation-packages-recommended

commit 693de21616dd7b8abe5b9518352b2c6f41ccbaa9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 21 16:20:15 2015 +0000

    fixed lintian warning

commit 630cbaa6d9d81f8a2cf708213da5f1d9f8ee4873
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 21 14:39:12 2015 +0000

    added var/cache/whonix-setup-wizard/status-files/whonix_repository.skip so Whonix Repository Wizard does not start when starting Whonix Connection Wizard from the start menu

commit 5602cd43b97537ba1279813890ba0819e726978c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 17 18:35:37 2015 +0000

    comment

commit ce953a964bf7c3a9038aef5371cf0d672d28af9a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 17:22:28 2015 +0000

    use drop-in rather than Alias - Thanks to @marmarek - https://groups.google.com/d/msg/qubes-devel/uzgN42uEJpE/hymUCMxoCwAJ

commit a19890a1e585c627976fd1935876ed7efdd14f7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 13:54:27 2015 +0000

    removed obsolete file etc/whonix_firewall.d/40_qubes, no longer required, because Whonix Firewall now has native Qubes support

commit f05708023ff89f3384388d7b2ba11fe306798893
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 13:41:01 2015 +0000

    User perspective:
    Implemented whonixcheck showing a progress bar at first boot while Tor is still bootstrapping and showing a passive popup when successfully done, otherwise an active error popup with troubleshooting instructions.
    
    Technical perspective:
    When whonixcheck is automatically started at boot, while Tor is disabled in /etc/tor/torrc, whonixcheck exits silently.
    (whonixcheck does this because it is assumed, that in these cases Whonix
    Setup starts.) (Most likely happens at first boot.)
    If Tor has been enabled, restart whonixcheck daemon so whonixcheck will
    check Tor's bootstrap status among other things.

commit c7261235a7c088164adfc4b407cd701b03c9526b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 12:25:22 2015 +0000

    comments

commit 2ba296264c6bb57bbb7c681a175b2eb4975fda92
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 12:22:27 2015 +0000

    - no longer need to set environment variables XDG_CURRENT_DESKTOP=gnome and QT_X11_NO_MITSHM=1 because that is now fixed in Qubes
    - use kdesudo rather than sudo (the latter is unsafe in Debian)
    - no longer need to 'source /usr/lib/qubes-whonix/utility_functions.sh' in qubes-whonixsetup

commit f310828c44ce86bbf8020b3ace52818abb5f27c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 19 00:15:34 2015 +0000

    no longer need to IP replace Whonix firewall, because it now has native Qubes support

commit 3665af8ac565e7313f7f3293e59165cc93dcfca9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 12:47:13 2015 +0000

    deprecated Qubes R2 support, code simplification

commit 0ec0903ff6b8b5595224c65a78e5462eccb60105
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 03:20:10 2015 +0000

    refactoring

commit eb621b6535ac18dc4aed73f3e86e55476f6b88f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 03:17:55 2015 +0000

    comment

commit daabda66ecde0df28531b4cff63837e1523b2cad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 03:09:00 2015 +0000

    comment

commit 3f06a183f2030578259b456836a651cd766ffa37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 03:06:49 2015 +0000

    added missing dependency curl

commit 943d5495f841e163a1e4f88cf785ede229831259
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 03:05:13 2015 +0000

    code simplification

commit 09c287bf6db63fa89b043e1af200fb19529ced76
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 02:44:07 2015 +0000

    typo

commit deb2d74900c91aefb3d3f04dfa1f814cabc6fa9e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 02:42:49 2015 +0000

    cleanup, removed no longer required function copyAnondist

commit c6d91a51cb3d7ff080a2220f77f53ab499b7a044
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 02:41:21 2015 +0000

    usr/lib/qubes-whonix/init/enable-firewall:
    - made work without uwtwrappers installed
    - added --silent to curl to prevent output of curl ending up in systed logs
    - enabled errexit
    - refactoring

commit f28ef3cc5d68af631d7fa554d3804115094f6595
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 02:17:33 2015 +0000

    fix, removed superfluous 'sudo' from usr/lib/qubes-whonix/init/enable-firewall, because it is running by root anyhow

commit ee8195c8aeb1d8088f81fe9784af6fb7c9e45db7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 02:16:31 2015 +0000

    cleanup

commit 041e21bb6eb3a3bddf4ed2984a881f7979db901e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 02:06:10 2015 +0000

    typo

commit 5330adb683eda2d87bfa97eb6307d9aa4357d40a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 16:37:00 2015 +0000

    refactoring

commit 4c0608e02cb3a211f7097dc4883347030c57985f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 16:36:17 2015 +0000

    postinst script fix, replace IP's before restart firewall

commit 642f49f2421455fa809a71b6183425b8ed4a8990
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 16:31:49 2015 +0000

    typos

commit e6ef11271af1c602311fdc327cffbae10a2c38da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 16:14:00 2015 +0000

    added /etc/tor/torrc to Qubes ip replacement mechanism to ease running Tor hidden services

commit 0363dad470850b02dc96c352c39467e38cd0ab86
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 16:10:24 2015 +0000

    no longer need to trigger /etc/resolv.conf call replace ip script, because /etc/resolv.conf is a symlink to /etc/resolv.conf.anondist, which is already on the list

commit e4ce07ed2218aaa835d46412ede86800e47b67ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 16:07:56 2015 +0000

    no longer require triggers for /etc/resolv.conf /etc/resolv.conf.anondist /etc/hosts /etc/hostname to call /usr/lib/qubes-whonix/init/qubes-whonix-sysinit because those files are no longer modified by Qubes, thanks to Qubes protected files mechanism

commit 2e0d7c1a54d03acb500c8565f37eaae25e45bca2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 16:00:07 2015 +0000

    no more need to set hostname in /usr/lib/qubes-whonix/init/qubes-whonix-sysinit

commit 65d2e5b10df27e232ed1b22b4a9c6550590155c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 15:56:38 2015 +0000

    no need to ip replace /etc/apt/apt.conf.d/90whonix because that file only contains comments

commit f5345e19cc7302986cdd9f83907489615472b0eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 15:54:30 2015 +0000

    removed uwt from ip replacement because uwt now has native Qubes support

commit 8b47823ed15359ded77a34cd53e57236f2526a9f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 12:28:10 2015 +0000

    no longer need to ip replace /usr/lib/anon-shared-helper-scripts/tor_bootstrap_check.bsh because it now has native Qubes support

commit 41a1aef943485d6f5cc73dd3e9b7b57c4e12dcac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 22:49:03 2015 +0000

    ip replacement of /usr/lib/whonixcheck/preparation no longer required since it now has native Qubes support

commit 3a2023cf21d6bfa7bd1bd8217fe9b4cda476ef7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 10 13:00:25 2015 +0000

    output

commit 579e810629fc48dbf41f32c54790da21051e1387
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 9 16:23:48 2015 +0000

    fix, removed /etc/resolv.conf from replace ips script (breaks because it is a symlink now)

commit d299505b6c7bbf7b2e856e5e2d87b5de4d664f9e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 8 15:44:41 2015 +0000

    fixed 'triggers interest-noawait /etc/resolv.conf will probably not work' - https://phabricator.whonix.org/T173

commit d11e42836f027c00e321c2660e332bbd47bd2670
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 7 12:21:43 2015 +0000

    abolished hack to write to /etc/localtime and /etc/timezone because now using Qubes protected files mechanism

commit 5a944b33b9d1e15a22f1e2756b12584e6e98c884
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 7 12:09:01 2015 +0000

    fix

commit b251a4af0a20738446e1cc16bc31d59f52ba7350
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 7 12:00:57 2015 +0000

    no need to replace ip's in /etc/network/interfaces.whonix - https://phabricator.whonix.org/T347

commit 520479ed66254f5cd93705ef34336e1c7a4b99ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 7 11:19:48 2015 +0000

    disabled ifupdown service in Qubes-Whonix, since not required and conflicting with non-Qubes-Whonix /etc/network/interfaces.d/30_non-qubes-whonix

commit 01cf6a1b6ebc73750d3ef859fb189c422b8a1f64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 5 23:30:10 2015 +0000

    Maintainer

commit e99e2e1b96f3b5a990382e0fa544a2baf77344f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 5 23:29:12 2015 +0000

    fixed typo in Depends, mate-notifications-daemon -> mate-notification-daemon

commit 18aad39a901fbe0a2c29698937abb7d7ad4cd4cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 27 17:42:17 2015 +0000

    disabled timesync progress bars and popups in Qubes-Whonix as stopgap until the sdwdate-gui replacement is ready

commit e77338e9f59e5177de9c6e9c51c7f898bddd51ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 27 17:14:06 2015 +0000

    Disable the upcoming qubes-iptables.service as it would interfere with Whonix's firewall.
    https://github.com/QubesOS/qubes-issues/issues/1067
    https://github.com/marmarek/qubes-core-agent-linux/commit/65e9e4c72cbbd188cd5c83f5dab2d63acf5efd4f

commit 4c26397b2cee361c1e1c0061bbc56594fdff75f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 27 16:50:58 2015 +0000

    introduced meta packages qubes-whonix-shared-packages-recommended, qubes-whonix-gateway-packages-recommended, qubes-whonix-workstation-packages-recommended

commit ef2a5a771152ce50754dced324a1e4148b79d761
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 27 14:48:52 2015 +0000

    minor

commit 283adc54b00f30d177999bf2857491292a848732
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 27 14:47:25 2015 +0000

    replaced dynamically generated protected-files.d mechanism with a static one

commit 0b542338acffba4513594121c2145dbd30a85950
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 27 14:05:38 2015 +0000

    comment

commit b0aac2df4219d29a4528f72296b9bfe30d689cd4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 23:31:58 2015 +0000

    bumped changelog version

commit 105efc3c7cd9a3c59b5c81bb2cd7ef43faf636ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 02:16:53 2015 +0000

    If Tor is not enabled, use 'whonix-setup-wizard quick', which instantly exits 0 if Tor has been enabled [not already been enabled] so the number of Whonix Setup Wizard pages in Qubes can be reduced to 1.

commit 2e4138689b694707b924142c9e7931b5f169b7e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 19:21:00 2015 +0000

    cleanup, removed
            rm -f /var/cache/whonix-setup-wizard/status-files/whonixsetup.skip
            rm -f /var/cache/whonix-setup-wizard/status-files/whonixsetup.done
    because when whonix-setup-wizard is explicitly run by a script such as /usr/lib/qubes-whonix/init/qubes-whonix-postinit using 'whonix-setup-wizard setup' it will always show the connection wizard.

commit c193176a45797ca8c3bae5881db8388151f2c832
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 19:08:52 2015 +0000

    no longer autorun whonix-setup-wizard repository, because stable Whonix apt repository is now enabled by default in qubes-template-whonix

commit 8b37caa3e05c55ebe79beca165f6916452eeb75b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 15:50:52 2015 +0000

    cleanup

commit 729607901ba948b7740eec5d6447b08ae5bf19c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 15:31:49 2015 +0000

    added 'whonix-gw-firewall | whonix-ws-firewall' to 'Depends:' to make sure Whonix's firewall is updated before qubes-whonix package, so newer qubes whonix packages do not trigger older Whonix firewall

commit bebfe8780b0254d5f17f2debf2c5a4e645676933
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 15:26:25 2015 +0000

    removed bogus dependency lintian

commit 833d4a34377ddcc16b6a2b3287152fc3f8892a33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:08:17 2015 +0000

    bumped changelog version

commit cbbaa08356e92b5eacd9e262fd283ac4211d358e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 17:37:34 2015 +0000

    bumped changelog version

commit 14ddf3c6d4955f0e72c2bdd3619c77e044aec267
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 17:36:26 2015 +0000

    changed version scheme; deprecated being build by Qubes builder, now build by Whonix's build script

commit a9f24f5d0b700a0cd710e52eb170875d635c22a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 19 23:56:14 2015 +0200

    Fix: Made /var/lib/tor persistent so users can benefit from persistent Tor entry guards.
    Thanks to @qubesuser for the report!
    fixes https://github.com/QubesOS/qubes-issues/issues/1137

commit b40c54083a898ef67ab96fb5a41e0ab180cdbc9b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 19 14:05:25 2015 +0000

    tests/apt-update-from-local-repo: removed --force-yes leftovers

commit 300d09b2514019e67fec16403177092f14504ba2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 18 01:44:53 2015 +0000

    /etc/qubes-rpc/qubes.SetDateTime.anondist: dom0 should not tell us its time. But if it does, create a file /var/run/qubes-whonix/qubes.SetDateTime so whonixcheck could warn in case this file exists. - https://phabricator.whonix.org/T398

commit 90e8d65230d3c13823af56b91eb2f48eeaad49b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 16 03:37:32 2015 +0200

    disabled qubes.SetDateTime ( we do not want dom0 to sync Qubes-Whonix VMs time as it interferes with Whonix's network time synchronization - https://phabricator.whonix.org/T384 ) and disabled qubes.SyncNtpClock ( Qubes-Whonix VMs can be used as a ClockVM yet - https://phabricator.whonix.org/T387 )

commit 34db00aacb73f831827cf352fcb84cc0ba8c1070
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 15 21:39:06 2015 +0000

    don't automatically power off when Whonix's firewall failed, only makes fixing/debugging such situations harder

commit 390c8db4aff5ff0cb1007d967253f3bf6c44f6ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 15 20:52:32 2015 +0000

    disabled etc/whonix.d/40_qubes which was doing "Whonix setting to prevent Whonix from complaining about Xen not being a supported virtualizer." because that was fixed upstream in Whonix

commit b4ec86e956f1fd50143f04a035d4793960d0183b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 15 20:22:05 2015 +0000

    moved systemd drop in files /etc/systemd/system to /lib/systemd/system

commit fd8c1a4cc8a669ec364d99d1af4c7f68c75dfa35
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 15 20:06:52 2015 +0000

    overwritten lintian 'file-in-unusual-dir var/cache/whonix-setup-wizard/status-files/...' warnings (that's how whonix-setup-wizard is implemented)

commit d46d1ca4064aba2aa827eec6ae02193611315a3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 15 20:06:41 2015 +0000

    copyright

commit acf51cac2744635688acd7269905fafb8faf0f7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 15 03:21:00 2015 +0000

    systemd qubes-whonix-firewall.service: added 'Type=oneshot' and 'RemainAfterExit=yes' to '[Service]' section

commit 2b19e95d65692b303121372ab4cd0c05de7c459d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 14 21:24:47 2015 +0200

    added a comment to explain 'export QT_X11_NO_MITSHM=1' in usr/lib/qubes-whonix/utility_functions.sh

commit 7e675fba4408566f0e2145a3980834c7a96d23d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 14 20:57:11 2015 +0200

    minor

commit c0c32effe714b32f7bad498d2a0b59dc32f1d25d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 14 20:56:11 2015 +0200

    enabled errtrace in usr/lib/qubes-whonix/init/enable-services

commit a45a3cf95976af660107c392d4f4178cf8cf16f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 14 20:49:55 2015 +0200

    comments, AppVM -> Template-BasedVM; fixed typos

commit 945aae4eba10b91a04feea7cfe95ece9f7ab5594
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 14 20:44:31 2015 +0200

    indent

commit df04392a60c6c0c9edc0fe0909610f9711b31d4c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 14 20:43:33 2015 +0200

    Cleanup, removed immutableFilesEnable, immutableFilesDisable workarounds and code leftovers. No files should be immutable on any systems anymore.

commit c5e2afbf87c5623fb559894f033c1f446b40383c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 14 19:48:11 2015 +0200

    added missing dependency rsync because usr/lib/qubes-whonix/bind-directories uses it

commit 6c5938871198028d27c53837a9a3058182aee983
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 14 19:47:47 2015 +0200

    refactoring

commit 0efb394cb3743912803692480be4efef34ca7fa1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 14 17:44:14 2015 +0200

    removed /etc/hosts, this is implemented in anon-base-files

commit 2175fae4f8ff549e1c191bd1d3494db2e86252a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 14 17:14:45 2015 +0200

    minor

commit 2d7820a6a0cae5ccc345a9045b08042ce98d4a55
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 14 17:12:17 2015 +0200

    cleanup

commit 9efef0539cad4da48194bf0b9f91853ec665984b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 13 20:29:46 2015 +0200

    Addition to commit 8fdb553813d8f1bb5c8569cb08b6d2ab9b79ec70
    Removed no longer required triggers to avoid having the postinst fail due to unknown trigger.
    https://github.com/marmarek/qubes-core-agent-linux/pull/20

commit 644d22c0d7d67d18a0015f2e495d0d7914c16e71
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 21:33:47 2015 +0200

    fixed lintian warning command-with-path-in-maintainer-script

commit d0ff132edb201deca855f351c81da48d797d6a3f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 15:17:23 2015 +0200

    merged whonix-firewall-plugin.sh into whonix-gw-firewall - https://phabricator.whonix.org/T395

commit 01273d7c59f2b100537bb996a96a7422241907f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 04:44:48 2015 +0200

    make sure timezone related code does not fail if files do not exist by using '|| true'

commit 84219837137969c9a15f588f17aaebb8beaa7911
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 04:43:29 2015 +0200

    cleanup 'showIn' code leftovers

commit cb4082b7683adbf2165d407e9d225de97825db03
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 04:39:43 2015 +0200

    made usr/lib/qubes-whonix/utility_functions.sh executable to fix lintian warning

commit 8fdb553813d8f1bb5c8569cb08b6d2ab9b79ec70
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 04:32:38 2015 +0200

    Removed 'showIn' code for /etc/xdg/autostart/pulseaudio-kde.desktop and /etc/xdg/autostart/spice-vdagent.desktop.;
    And removed whole 'showIn' code, because all modifications have been made elsewhere.
    No more script based modifications required.
    Optimistically assuming, that pull request
    'added pulseaudio-kde and spice-vdagent to qubes-trigger-desktop-file-install'
    https://github.com/marmarek/qubes-core-agent-linux/pull/20
    gets merged.

commit 48792bab6a37f3fca4cd9bf537f0dfe31bded7ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 04:11:39 2015 +0200

    no longer need to modify /etc/xdg/autostart/whonix-setup-wizard.desktop because whonix-setup-wizard added 'NotShowIn=QUBES;' upstream (https://github.com/Whonix/whonix-setup-wizard/commit/bf6b1a08ee376899dcae19e02a1dd99a2fccf18c)

commit f8838c85eee40ed6a52cc843cfaf241ab76744dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 04:06:23 2015 +0200

    no longer try to modify /etc/xdg/autostart/gateway_first_run_notice.desktop and /etc/xdg/autostart/whonixsetup.desktop, there is no need since whonix-legacy deleted those

commit aa5f72bce2eca2ed1c90ca724d7b6d3dafdc68f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 03:59:28 2015 +0200

    get rid of custom systemd maintainer script code (disableSystemdUnits) - https://github.com/QubesOS/qubes-issues/issues/1043

commit 1cb387851a091f5453daad01d205b8cd43f00747
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 03:50:14 2015 +0200

    get rid of etc/systemd/system/qubes-whonix-tor.service which is error prone, code simplification - https://phabricator.whonix.org/T349

commit 9a29bb31d6033274135d2d7e8d655979ffaa8a15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 03:43:41 2015 +0200

    removed 'Use gdialog as an alternative for dialog' code, no longer required, because dialog based utilities are no longer required since whonix-setup-wizard is available

commit c6d0dab04e76d9e5672219c246319f256ba65a6b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 03:42:11 2015 +0200

    no need to systemd disable network manager in postinst, /etc/systemd/system/NetworkManager.service.d/40_qubes.conf does that anyhow

commit 18c21e815547ce84b7762944b3a805e07e768699
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 03:37:00 2015 +0200

    set errtrace in maintainer scripts to fix lintian warning

commit 112056515a1ec0779c2a104323c2f7c3373b94ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 03:34:18 2015 +0200

    fixed python related lintian warnings

commit a1a022a974b8c13132369b391cd3194207f3bf19
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 03:08:30 2015 +0200

    get rid of etc/systemd/system/qubes-whonix-tor.service which is error prone, code simplification - https://phabricator.whonix.org/T349

commit 88e9819f8cce3e024b9e3d2331d32d6e34bc6c16
Merge: 3e0a301 ddc6f4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 28 00:31:18 2015 +0200

    Merge remote-tracking branch 'nrgaway/master'

commit ddc6f4ac255ac99a0c8862493f8ade97710171f5
Merge: f441bd0 df0f58f
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Jul 27 15:59:33 2015 -0400

    Merge branch 'Whonix11'
    
    Conflicts:
            usr/lib/qubes-whonix/messages.yaml

commit df0f58f9f7c47a98ccde5c9343443c4352636af8
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Jul 27 15:52:59 2015 -0400

    Update changelogs

commit 0f9dbff8eca3e74ee10db018c1e142a28bb46175
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Jul 27 15:46:47 2015 -0400

    Force softlink in Makefile.builder

commit 4e6d79ea14b2df4438879acd27663100bd9bf1c9
Merge: aa979c2 b983f3e
Author: nrgaway <nrgaway@gmail.com>
Date:   Mon Jul 6 16:27:12 2015 -0400

    Merge pull request #12 from adrelanos/patch-2
    
    removed spaces

commit b983f3e946d1f74d74cdb555ff914e282576d871
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 6 17:32:27 2015 +0200

    removed spaces

commit aa979c2ad34cab5561b7897634c3283ebf9288c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 30 16:06:01 2015 +0200

    improved 'Whonix-Gateway NetVM required for updates' message
    Conflicts:
            usr/lib/qubes-whonix/messages.yaml

commit f441bd030e7a177ff1a40b4859e464a1ff6fd380
Merge: 7b45851 d0b78fe
Author: nrgaway <nrgaway@gmail.com>
Date:   Fri Jul 3 04:28:16 2015 -0400

    Merge pull request #11 from adrelanos/patch-1
    
    improved 'Whonix-Gateway NetVM required for updates' message

commit e1c493e6d82e8ab0a3270265f07c1940a1de1dea
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Fri Jul 3 04:26:19 2015 -0400

    tests: Change dist to jessie for local repo tests; add VERBOSE var

commit d0b78fe24475068885ed77f9cc15bedb50e5e786
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 30 16:06:01 2015 +0200

    improved 'Whonix-Gateway NetVM required for updates' message

commit 98d209742a0280090a6c8538025963293b375d6c
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jun 23 17:53:40 2015 -0400

    Revert custom torbrowser location per Patricks request

commit 0bdeed508c39b4308ea1dd5b7bbfddb5eb9ca4b2
Merge: 38d59bf d4b8d7a
Author: nrgaway <nrgaway@gmail.com>
Date:   Tue Jun 23 17:41:22 2015 -0400

    Merge pull request #10 from adrelanos/network-manger-systemd-fix_4
    
    network manger systemd fix

commit 38d59bf608f593aa51c495befc9b5a4e28003a82
Merge: d660b48 f954436
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jun 23 17:38:50 2015 -0400

    Merge branch 'adrelanos-iptables_wait' into Whonix11

commit f9544367a42e0700cb34ab2f773af8256b20482a
Merge: d660b48 0dd5c60
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jun 23 17:38:04 2015 -0400

    Merge branch 'iptables_wait' of https://github.com/adrelanos/qubes-whonix into adrelanos-iptables_wait
    
    Conflicts:
            usr/lib/qubes-whonix/init/enable-firewall
            usr/lib/qubes-whonix/init/whonix-firewall-plugin

commit d660b48617d643f6a766f87f85722d38b88cbfdb
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jun 23 17:22:49 2015 -0400

    Updated Whonix 11 NOTES

commit 89425e9ebdb80ecfc1c4ed69fa0b01c4ab357a2c
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jun 23 17:02:57 2015 -0400

    Update postinst to use new replace-ips location

commit d4b8d7ad6d8599134de308ecf49ec58aff364515
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 11 11:34:01 2015 +0000

    As per
    https://lists.alioth.debian.org/pipermail/pkg-systemd-maintainers/2015-June/007613.html
    debian-systemd mailing list: cannot extend network-manager unit file by using network-manager.service.d
    we need to do
    etc/systemd/system/network-manager.service.d/40_qubes.conf -> etc/systemd/system/NetworkManager.service.d/40_qubes.conf
    https://phabricator.whonix.org/T350

commit 614f776a8b3531929e1977d0e1a847985bf949ba
Merge: 41c9815 c94dccd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 11 03:40:25 2015 +0000

    Merge remote-tracking branch 'nrgaway/Whonix11' into Whonix11

commit c94dccd82e348b05c67d38738edf1afc7b809246
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 18:21:02 2015 -0400

    Added whonix torbrowser config to specify tb installation directory

commit abac73a1382f7e27c1ddeef2e332302228ed8697
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 18:19:29 2015 -0400

    enable-firewall: Remove iptables --wait hack; use whonix-gateway/workstation service to identify mode

commit 01a71c5718482e4317f014e7a41d9bbce564ff7a
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 12:04:32 2015 -0400

    Commented qubes-whonix iptables rules

commit 57ad011f2dc70d7311364a898950c1b00a0936eb
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 11:41:59 2015 -0400

    Moved some code from qubes-whonix-sysinit to qubes-whonix-postinit

commit 04407329a2123aaea22b23c460783bffbd86a545
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 11:41:01 2015 -0400

    renamed bind-dirs to bind-directories

commit 28064dde4f40c53d1ae767cf18575ca94e5b484c
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 11:40:04 2015 -0400

    replace-ips: moved one directory since its not an init file

commit 88e193a8a1d657c6f8c18e0fab6d9baedc3e7203
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 11:38:31 2015 -0400

    Added a postinit service to take care of bind-dirs and stuff that needs to happen after that like replace-ips

commit 0dd5c60a613adec51c9a92010463f08ad3f642cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 6 15:19:42 2015 +0000

    use iptables --wait - https://phabricator.whonix.org/T344

commit 41c98157a67dfb4dfa49443ba0c93c064e8e0692
Merge: d4e451f 36b4368
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 6 14:51:46 2015 +0000

    Merge remote-tracking branch 'nrgaway/Whonix11' into Whonix11

commit 1475f3766ecef94653178e9a13b10b746085904a
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:41:29 2015 -0400

    Mass add/modify copyright, comments

commit 5049c69b4606aebe7c0e7a098e28cfba8cd8e58f
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:38:34 2015 -0400

    utility_functions.sh: Removed sudo, added comments and copyright

commit 39ef1c8a721d7788c79b408b1f312507af8e631f
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:35:55 2015 -0400

    qubes-whonixsetup: Added code to deal with firewall failure and tor-disable serivce
    
    and copyright

commit 03ee8dfe63e0d2e427a69db64b51f613ef630ddb
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:34:27 2015 -0400

    messages: Added firewall-failed and tor-disabled messages & copyright

commit 9d90bc6b1b237df99618880111eda4fd930f73e8
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:33:39 2015 -0400

    bind-dirs: Added copyright

commit 727f534bf6d1660e7f58a2e809b667fcbb3df65b
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:32:59 2015 -0400

    alert: Added copyright

commit b1eb68936ac050b2f1ecd8e18499e4d6bcd50a09
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:31:29 2015 -0400

    enable-firewall: Added copyright

commit 62eb904c017cbc847594960f759d1e1d689291c6
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:28:45 2015 -0400

    enable-firewall: Added whonix-firewall-failed service, removed sudo
    
    - whonix-firewall-failed gets set if firewall fails to load and user
      will be shown a dialog stating this, then VM will poweroff
    - Removed unneeded sudo
    - Added a few comments

commit 0688e92a6bac73416b1a2c238cd79abedf8c0393
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:25:11 2015 -0400

    enable-services: Added copyright and comments

commit 0c2345829995e6eebab28a42ce2b2b26eb3b3725
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:24:19 2015 -0400

    network-proxy-setup: Added copyright

commit 302453d45cc8cbe25c10e1850f46ac774cfaaff4
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:22:20 2015 -0400

    qubes-whonix-sysinit: Added copyright

commit b44ff40abc02334aed6f68badc76c468037b923c
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:20:28 2015 -0400

    qubes-whonix-sysinit: Removed sudo, set whonix_repository.skip instead of .done & cleanup

commit 6489bb1341cfae7a19564ef82bd0e081ad61db9b
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:17:05 2015 -0400

    qubes-whonix-sysinit: Added/moved additional init code
    
    - Enable/Disable Tor if qubes-service is enabled
    - Make sure we remove whonixsetup.{skip, done} if Tor is not enabled so
      whonix-setup-wizard will prompt to enable
    - Allow whonix-gateway to act as an update-proxy
    - Search and replace tinyproxy error files so we can inject code that
      we can use to identify that its a tor proxy so updates are secure

commit 063da5b1a2bde150f6aef045c3aacaea97ebc4d5
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:12:27 2015 -0400

    Added copyright

commit c7c59ba5e2f74c707a5c44f255633ae3c9191b5a
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:11:45 2015 -0400

    Added more comments, copyright and cleanup

commit 7435d39b707791384284eabebb862226c387eec4
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:09:04 2015 -0400

    Removed now unneeded include and code

commit 043119c6cc5aa7dcd5896dc5a1c78a399b4bb9d7
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:06:43 2015 -0400

    Changed location to store last know IP address to /var/cache/qubes-whonix from /etc

commit 26a1170497cfbc30bec8ed0fc541017681d7fa5e
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 09:02:09 2015 -0400

    Restarting instead of reloading due to upstream Tor bug
    
    https://trac.torproject.org/projects/tor/ticket/16161

commit 5366b91cfcd0896bfe79d557b9e238c664b35621
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 08:58:05 2015 -0400

    added --wait option to iptables

commit 01175117c22b7397a44d84d4eb29a872dd8cfaf9
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 08:53:51 2015 -0400

    Renamed /etc/whonix.d/40_whonixcheck_qubes -> 40_qubes

commit 012f6ca6b9f306c6eaefe0fdd7e999dc1d064f93
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 08:50:17 2015 -0400

    Renamed whonix-firewall-plugin -> whonix-firewall-plugin.sh

commit 775376c4da04eb2ea050512a2cbd592edccc1766
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 08:42:34 2015 -0400

    Removed WIP whonixcheck.* systemd releated files. Not needed anymore.

commit d126f0038ea8bf0891b818d1e18b87340c0592c3
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Jun 6 08:41:26 2015 -0400

    Renamed whonixsetup.done to whonixsetup.skip

commit 36b4368094e9f690233be50c1d5efa6167a421c8
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 18:15:55 2015 -0400

    postinst: Removed sdwdate and whonixcheck from being disabled
    
    Updated anything that was renamed

commit f48207b97cf1c644cb5371364153bf632175e9ed
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 18:09:22 2015 -0400

    uwt: use qubes-services; removed unneeded include

commit 92993a6bfced2a5ebd86cb03e64b0cdecbc15742
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 18:06:51 2015 -0400

    whonix_firewall: Switched to use qubes-services, added whonix-template 'rule'
    
    Cleaned; Removed unneeded code

commit 182a283d1ba3144d78f6d83b86b796792e3a9917
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 18:05:45 2015 -0400

    Added whonix-setup-wizard status-files to skip disclaimer and Tor setup

commit 945326ea9f951d5d093790e95c07a16a08435539
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 18:04:32 2015 -0400

    qubes-whonix-tor.service: Added condition to start before whonixcheck; remove condition on /etc/init.d/tor

commit 40067b5194c09c591ca674bc5ef16e6cf5260e95
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 18:02:37 2015 -0400

    Added systemd drop in to exclude unit files from activating in TemplateVM

commit 85c13ba9d4d2b3d0f64db8cb7678c6db3ac9aee7
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:59:23 2015 -0400

    qubes-whonix-sysinit.service: Added to create required preconfigurations
    
    and enable qubes-services during boot stage before multi-user target.

commit 4f967e268f5a44512b84df7c48269df41789665e
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:54:02 2015 -0400

    qubes-whonix-network.service: Removed/added depends and Pre/Posr starts
    
    - Removed qubes-whonix-firewall depend (was incorrect as well; should have
      has .service appended to name) since firewall already has depend on this
    - Added depend on qubes-update-check.service and qubes-update-check.timer
      to make sure they are started after network so conditional drop-ins
      will be applied in TemplateVM
    - Removed ExexStartPost=...init since init now in its own unit file

commit 3fe99e9dca52b677d1e79e363536c077542056cb
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:53:27 2015 -0400

    qubes-whonix-firewall.service: renamed Exec to enable-firewall

commit c9bd4ff7b244cea3467af655d1acd153bed7660e
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:50:38 2015 -0400

    qubes-whonixsetup: Removed all manual start code for tor, sdwdate and whonixcheck
    
    Switched to use qubes-services

commit 06c3ece201c16eccda81261aa72ee68b61e0784a
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:49:39 2015 -0400

    bind-dirs: Modified to use qubes-services

commit 60781a3f6d88e0b553a11de31c08ff7bcc3b15fe
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:48:06 2015 -0400

    utility_functions: Removed code that created $QUBES_WHONIX ENV var
    
    Using qubes-services instead

commit dea95827ec7e1d477b82a841317a1aa53a321988
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:45:58 2015 -0400

    replace-ips: Modified to use new qubes-services

commit 507d07758f94ac57e41bda3ba4c28f6fe212e8b2
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:43:32 2015 -0400

    enable-servides: Script added; called in sysinit boot stage
    
    - Adds service modes (whonix-gateway, whonix-workstation, whonix-template) to
      /var/run/qubes-services used to identify whonix mode
    - All related source/configurations changes to use instead of old $QUBES_WHONIX
      env var

commit 1e4a32dfe70074a42e8fe141ba1032c9055bbb49
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:40:35 2015 -0400

    network-proxy-setup: Removed ip_forward rule, moved updates-proxy code

commit 163f4c6676fcaf1041e7dae815a8d0a7b81b26c5
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:39:03 2015 -0400

    renamed: removed original: init, qubes-whonix-firewall, whonix-firewall

commit ef78c04743fa179ac43a6de1d8f46e26f9778162
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:37:40 2015 -0400

    renamed: qubes-whonix-firewall -> enable-firewall

commit 3cb4003ea3ce682ecf717c0bd28d053946e53af0
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:35:20 2015 -0400

    renamed: init -> qubes-whonix-sysinit
    
    - Now called in sysinit target stage
    - handles all pre-configurations required before networking and firewall started

commit eb9b63e34e385b5d8d3e1c7876b04b11974f1efe
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jun 3 17:33:29 2015 -0400

    renamed: whonix-firewall -> whonix-firewall-plugin
    
    + Added an iptable rules to allow TemplateVM access to secure update proxy

commit f9d65d2e188e601651b462ce59fa3155e4179df9
Merge: 2056ec1 ad43698
Author: nrgaway <nrgaway@gmail.com>
Date:   Tue Jun 2 10:26:54 2015 -0400

    Merge pull request #8 from adrelanos/remove_whonixcheck_tmpfiles
    
    remove whonixcheck tmpfiles

commit ad4369894d2820a541ef47c3bfa1bdc1dce2a821
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 1 14:30:27 2015 +0000

    deleted /etc/tmpfiles.d/qubes-whonix-whonixcheck.conf because no longer required - https://phabricator.whonix.org/T326

commit d4e451f077a919118cbb77a640bd9251fa0d475e
Merge: 04d4c76 2056ec1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 1 14:26:19 2015 +0000

    Merge remote-tracking branch 'nrgaway/Whonix11' into Whonix11

commit 2056ec1c276c6ecfcca12c9cf71f84130274800f
Merge: 010e34b 6fc7f5a
Author: nrgaway <nrgaway@gmail.com>
Date:   Fri May 29 04:29:13 2015 -0400

    Merge pull request #7 from adrelanos/fix_true
    
    fix, '| true' -> '|| true'

commit 010e34bf39513fbeac41a8f8f516c22f362cca9b
Merge: fce271a 36cb724
Author: nrgaway <nrgaway@gmail.com>
Date:   Fri May 29 04:28:28 2015 -0400

    Merge pull request #6 from adrelanos/status_files_instead_of_using_touch_in_postinst
    
    use status files instead of 'touch' in postinst; use skip files rather than faking done files

commit fce271a1f6c2db2a2cb0309845c0dd77d7662e75
Merge: ac561bf 4b4b0e7
Author: nrgaway <nrgaway@gmail.com>
Date:   Fri May 29 04:27:35 2015 -0400

    Merge pull request #5 from adrelanos/services_skip_2
    
    services skip

commit 6fc7f5a3bb05df018c0ac2dff3255b4e50d0f69b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 15:01:06 2015 +0000

    fix, '| true' -> '|| true'

commit 36cb724bd9fb30eb5cc03219c3d1e628f810b705
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 13:41:51 2015 +0000

    added 'var/*' to debian/qubes-whonix.install

commit 06ff45754d1da030484cdd1183c5a57c2bbf099f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 13:14:29 2015 +0000

    use status files instead of 'touch' in postinst; use skip files rather than faking done files

commit 4b4b0e761fa0c08b6124021755ad39f13b2a2051
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 13:00:13 2015 +0000

    removed spice-vdagent, swap-file-creator, whonix-initializer from postinst disable systemd units

commit 8e6854a570788a15766a36f1180b43efb8ab3f8f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 26 16:35:53 2015 +0000

    clean mechanism to skip starting services network-manager, spice-vdagent, swap-file-creator and whonix-initializer in Qubes using /etc/systemd/system/unit.service.d directory - https://phabricator.whonix.org/T315

commit 04d4c76396ca74cbc07c4c8aa1c7e5bbcf7904b3
Merge: 9f54770 ac561bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 26 16:32:45 2015 +0000

    Merge remote-tracking branch 'nrgaway/Whonix11' into Whonix11

commit ac561bf9f911ebeb66864a3e23fda2ae75e02902
Merge: 6575671 d613abe
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed May 20 17:39:10 2015 -0400

    Merge branch 'adrelanos-systemd_unit_files_no_spaces' into Whonix11

commit d613abeb7b9eea65d29506b31fc12b877e653bb5
Merge: 6575671 dbb86e6
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed May 20 17:38:11 2015 -0400

    Merge branch 'systemd_unit_files_no_spaces' of https://github.com/adrelanos/qubes-whonix into adrelanos-systemd_unit_files_no_spaces

commit 657567130023d1b711ba835c56d1cf320bdbe5b9
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed May 20 17:32:03 2015 -0400

    Added Qubes systemd override for swap-file-creator

commit dbb86e65e07e06a77021c693f5f55babed727605
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 20 16:56:21 2015 +0000

    systemd unit: workaround/fix, removed spaces, likely bug in 'deb-systemd-helper' that prevents enabling the service by default - https://phabricator.whonix.org/T316

commit 7974e468c38486bca70c227db9c1b7d479957c02
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat May 16 17:37:06 2015 -0400

    Remove qubes-whonix-control-port-filter-python and rename add / rename Whonix config files
    
    - Removed qubes-whonix-control-port-filter-python systemd unit file since Whonix 11 provides
      one.  Effected files:
        debian/qubes-whonix.postinst
        debian/qubes-whonix.triggers
        etc/systemd/system/qubes-whonix-control-port-filter-python.service
        etc/tmpfiles.d/qubes-whonix-control-port-filter-python.conf
        usr/lib/qubes-whonix/init/replace-ips
    
    - Renamed all whonix related configuration files to use 40_qubes scheme.  Files:
        Common files modified
             debian/qubes-whonix.postinst
             debian/qubes-whonix.triggers
             usr/lib/qubes-whonix/init/replace-ips
    
        Renamed etc/cpfpy.d/32_qubes -> etc/cpfpy.d/40_qubes
        Renamed etc/sdwdate.d/35_qubes_stream_isolation_plugin -> etc/sdwdate.d/40_qubes_stream_isolation_plugin
        Renamed etc/uwt.d/32_qubes -> etc/uwt.d/40_qubes
    
        Renamed etc/whonix_firewall.d/32_qubes -> etc/whonix_firewall.d/40_qubes
             Related: usr/lib/qubes-whonix/init/whonix-firewall
    
        Added etc/whonix.d/40_whonixcheck_qubes
            WHONIXCHECK_NO_EXIT_ON_UNSUPPORTED_VIRTUALIZER="1"
    
        Added etc/systemd/system/whonix-initializer.service.d/40_qubes.conf
            Prevent startup in Qubes

commit 807ce27758786d8673699a7a69d9ef084e4b4229
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat May 16 17:32:20 2015 -0400

    Update copyright dates to include 2015

commit c44b5288217c9d13387906eee776fba3f1ce7836
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat May 16 17:23:45 2015 -0400

    Clear notes for Whonix 11

commit 9f547703339cfc941447346f7d3f5090f25c3400
Merge: 2cab1ad 3cc4b48
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat May 16 16:24:42 2015 -0400

    Merge branch 'adrelanos-changelog' into Whonix11

commit 3cc4b48b352cc056f4ecab4418716c48e24dc1ea
Merge: 18a66dd 683b8de
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Fri May 15 16:38:48 2015 -0400

    Merge branch 'rads_skip' of https://github.com/adrelanos/qubes-whonix into adrelanos-changelog

commit 683b8de3d606a0caebfdcc9021f22836225890b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 15 20:03:57 2015 +0000

    skip rads systemd service on qubes - https://phabricator.whonix.org/T306

commit 6290c0ef11268676904ce7481894524d3220385c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 15 15:33:01 2015 +0000

    skip rads on Qubes - https://phabricator.whonix.org/T306

commit 18a66dd714d289da076b5f83fbbe5f9cce167112
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 13 11:08:27 2015 +0000

    fixed handling of changelog - https://phabricator.whonix.org/T193

commit 3e0a301fad1d39ed0c6ae99832b22e95bffade3b
Merge: 6273342 7b45851
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 29 23:47:24 2015 +0000

    Merge remote-tracking branch 'nrgaway/master'

commit 2cab1ad2d1fe187e1e4f983595d755f3571fe8ef
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Apr 27 03:16:49 2015 -0400

    bump version to 11.0.0

commit 7b4585113b0d0d97bfd70a04af430a22dc3f0ade
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 29 06:58:35 2015 -0400

    version 10.0.5

commit 36191be8a55c8d44337e1ab5e231600fd4b45ed2
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 29 06:56:34 2015 -0400

    Fix re-enable control-port-filter

commit 132fcb6e18433be5de8bc52fa3d2e5f215c651ee
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 29 06:55:11 2015 -0400

    Add pkgs directory to .gitignore

commit 3d47d7105dec6ec5a5b8d3a3e87cd96d4b74e96a
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 29 06:58:35 2015 -0400

    version 10.0.5

commit 62f152e47c721411fb413319f4467511d7348c36
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 29 06:56:34 2015 -0400

    Fix re-enable control-port-filter

commit 37b248e4c9d8458482bc7111c40ce68b7dafd535
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 29 06:55:11 2015 -0400

    Add pkgs directory to .gitignore

commit 62733429e2fe556c00b320e75c18037a0738a8a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 15:41:26 2015 +0000

    lintian warning copyright fix

commit 851750e73b91a7a9ec134f26670dc4432489773b
Merge: 416c618 9804344
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 14:15:40 2015 +0000

    Merge remote-tracking branch 'nrgaway/master'

commit 416c61804e16b629370cd037b4df291e059e75b3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:22 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit 9804344c362bdd0a21952a4a360cf4f04d2e4957
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Apr 28 09:41:10 2015 -0400

    version 10.0.4

commit 21d33fbf054f4ee9b6722731c704509847d975f6
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Apr 28 09:41:10 2015 -0400

    version 10.0.4

commit 9b8fb801768fe148ba44d22c554a8249def5c0f8
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Apr 28 09:35:34 2015 -0400

    Changed ip-replace filelist and triggers

commit 7ac56d4622d76e4bf977f9e2a332ac7562c39f7d
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Apr 28 09:34:21 2015 -0400

    Moved qubesdb to utility_functions.sh

commit ae0e432f8e3494a38cfe1791fe93fdf11de01633
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Apr 28 09:32:45 2015 -0400

    Removed injected whonix_firewall rules and added to /etc/whonix_firewall.d/32_qubes

commit f3b988d7b1251e11fbb3c2d1ffa0cc01e85e1806
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Apr 28 09:26:28 2015 -0400

    Updated NOTES

commit 036df5ff0a864fd3c506fc6a53bd6100a808bff9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:16:11 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit fe9a215b02593b18aed62eab0f0283de84ad31b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 12:48:55 2015 +0000

    updated changelog.upstream

commit 5df5d4c5e4bf8345e22aa06d7cb8bcbb4f115a9d
Merge: 3055fc1 b92b7d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 12:46:32 2015 +0000

    Merge remote-tracking branch 'nrgaway/master'

commit b92b7d950a12f1049907daffdebf84be27026d2a
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sun Apr 26 03:00:46 2015 -0400

    version 10.0.3

commit 9b56022aca9a4898ad49e291bf858486641d80bc
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Apr 25 05:07:02 2015 -0400

    Added qubes-core-agent (>= 2.1.60) as a depend

commit 57556b0c7e655982bbd1471a1d5b2cd35bf3412a
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Apr 25 05:06:29 2015 -0400

    Sorted and added more replaceip triggers

commit 011d5489566e2130f0be51a8ac633d0ec2b6b64b
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Apr 25 05:03:51 2015 -0400

    - Use /etc/whonix.d/50_whonixcheck_qubes
    - Disable/Re-enable qubes-whonix-network/firewall, tor, control-port-filter
    - sorted and added more replaceip triggers

commit 05d0cdec6ef98de18277fa463d08839addb27043
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Apr 25 05:01:49 2015 -0400

    Renamed and configured systemd configurations files so they will not conflict with future Whonix versions

commit 4c30ca00b4c494dea81295643d63ef06c67953df
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Apr 25 05:00:53 2015 -0400

    removed duplicate FILES entry

commit 1fd8bfce872421f3c8593a0435beeb759281b76b
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Apr 25 04:59:46 2015 -0400

    Updated Qubes protected-files location

commit 56960eb0eae5c5d02663f969fd75b990203e15d3
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sat Apr 25 04:57:11 2015 -0400

    Use trusted mode instead of installing keyring for local repo testing

commit 5783286d2dbd0b624fb39d97b5b3f7904e984180
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 24 13:31:49 2015 +0000

    updated changelog.upstream

commit 965d332c50b376bbaee15cfbf6a45c3bd31ff280
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 16 11:06:07 2015 +0000

    added creation of upstream changelog to fix lintian warning

commit 3055fc137ac666902581c717ae2183dbdfaafa93
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 24 13:31:49 2015 +0000

    updated changelog.upstream

commit 5c43662196c07042c5e98d24516e7d0ca98b0a97
Merge: 17f0775 e6933af
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 24 13:00:52 2015 +0000

    Merge remote-tracking branch 'nrgaway/master' into mergetest
    
    Conflicts:
            debian/rules

commit e6933afac073651016524690759e1483ec884270
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Fri Apr 24 06:06:44 2015 -0400

    version 10.0.2

commit e6d7e06db7cd42d0f76921b0d4cc12b7a64a1b9e
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Fri Apr 24 06:03:31 2015 -0400

    Add systemd unit file for control-port-filter-python.service

commit bcfb73951b045623b303acf087833e73da82f512
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Fri Apr 24 06:02:53 2015 -0400

    Add missing whonixcheck.conf file

commit 974e398a4d4ea2e92458a972ec4df51583ef525b
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Fri Apr 24 05:57:51 2015 -0400

    - Remove references to old whonix status files; use new references
    - Start whonixcheck last
    - Add missing whonixcheck for workstation
    - Don't prompt to install repository in AppVM (Gateway or Workstation)
    - Prompt to install repository in templatevm

commit 169bdc3a0a326ff828174264a03e0c11c5230594
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Fri Apr 24 05:57:31 2015 -0400

    Remove unneeded bind directories due to new localtion of whonix status files

commit 03beb6693d61cc9836711b3c744c27abc16ab5e2
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Fri Apr 24 05:53:19 2015 -0400

    Use new whonix-setup-wizard directory for *.done files
    Use 50_whonixcheck_user instead of 30_whonixcheck_default
    Enable new control-port-filter-python.service

commit b53ce641d0664b2c7e26bd83cb33f0d045f5c84c
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Thu Apr 23 04:36:47 2015 -0400

    start whonixcheck on startup for workstation

commit 5ad388aeb52aa32b17f2bc24f688bad806ebaf36
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Thu Apr 23 04:34:16 2015 -0400

    Update files to search and replace IP addresses
    Fix syntax typo for whonix workstation that prevented search and replace

commit 96641fd385c47db534c5fa8eda17c1499240ddb2
Merge: 11d7dc2 856e649
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Thu Apr 23 01:07:07 2015 -0400

    Merge branch '10.0.1'

commit 856e649fc87a22bb660e25f8db92596c07758cdf
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 23:04:57 2015 -0400

    version 10.0.1

commit 11d7dc249676821fa1f32cb2d8a8ae1b6604a58e
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 22:53:22 2015 -0400

    version 9.6.6

commit c2bc3b95a4a27ca02a8ac2c7a6cf6a6206feadeb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:23 2015 +0000

    added genmkfile to Build-Depends

commit 4ebcffafa1216c3fa3b1fd243f2198518555f483
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:43 2015 +0000

    updated makefile generic to version 1.5

commit ecd661dea10f686d7b9529c2cc4f02f668427607
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:54:46 2015 +0000

    updated readme

commit 414ff98ccaa1867bc02a1e989048912f9feaa11b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:45 2015 +0000

    updated makefile generic to version 1.4

commit ed591ea6568feddf8593b1f834b86fb26e556cca
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 22:06:33 2015 -0400

    Commented out watchdog as it was resetting tor every minute

commit cf8518e28275e1a8fa139316a8832a711245ca2c
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 22:05:34 2015 -0400

    More specific reference to be able to inject firewall code was needed for Whonix 10

commit 7930f416099aac721db1ac6257df4350a4edc454
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 02:42:15 2015 -0400

    version 9.6.5

commit d99df2aa16cea7a30834da9ba3760e220a1115bb
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 02:40:07 2015 -0400

    Send a 0 when enabling a service

commit 21b09239b3327bda160ee024bf0de6c3249dce72
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 02:38:47 2015 -0400

    Keep whonixcheck and sdwdate disabled and manually start them to prevent false positive errors that tor is not started

commit 258a1034e1b159dcaafad4341ae114923c48bac2
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 02:36:46 2015 -0400

    Make sure qubes-network is started before qubes-firewall

commit 99e7c45d33a1cf0cf05cc09c391e8226dc174f01
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 02:35:49 2015 -0400

    Streamlined enable/disable services; remove immutable bits

commit bec1488a7c3e81b7e082b18bf30835a80dba8b97
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 02:34:27 2015 -0400

    Added ability to upgrade and dist-upgrade from local test repo

commit 0416617b3e0872f75894882ae89e1de346b2d0f0
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 02:33:22 2015 -0400

    Added a tor systemd unit files along with a wip unit file to implement hardening

commit f6ee5878d727a327929d05c46086de0e9665764d
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Apr 22 02:31:35 2015 -0400

    Added wip whonixcheck systemd unit file

commit 617256be63bd959c18c5533bd1ddf39ab350c02b
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Apr 20 02:33:31 2015 -0400

    Notes with issues not yet resolved due to changes in Qubes or qubes-whonix

commit 928f8f11250dcc3bf94845cd638fabedce5472e5
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Apr 20 02:31:38 2015 -0400

    Remove chattr +i and replace with a protected files routine
    
    Cleanup and Improve enable/disable serivces
    Cleanup Debian maintainers scripts removing unneeded reporting on systemd status

commit 17f0775a633a99835c90e93981f387ffd5324d8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:23 2015 +0000

    added genmkfile to Build-Depends

commit 6e2f55ac751e2643a27a8a9bbb0c7e7b8d207ddf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:43 2015 +0000

    updated makefile generic to version 1.5

commit 0a920ae3970180400bde85a2612e285c5d117d2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:54:46 2015 +0000

    updated readme

commit 8b1b1ef119d433906e92b01fbb2d1fbcdc2926e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:45 2015 +0000

    updated makefile generic to version 1.4

commit 2d358fe7013648ab0043fbd2d477c62e1f59890c
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 12:11:13 2015 -0400

    Updated changelog for 9.6.4

commit 1c7124ea260fb3f07da42853bfb562594384e5dc
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 12:05:40 2015 -0400

    Bump version to 9.6.4

commit 89f3545b1b54606a41ea6f735fc4569e463060d4
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 12:05:19 2015 -0400

    Fix a bug that gave error on upgrade when restarting service

commit d1b560a68cdcc1fc6c4e778e614b9a6433fbbc0b
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 12:04:30 2015 -0400

    Use debhelper package install to install files to prevent tests from being part of package

commit f4fb23b8f67c7bfabfe738eaaf50931353f29cef
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 12:02:58 2015 -0400

    Fixed an issue with restarting services and added whonix-setup-wizard cache dir

commit 2e13d34e6009235e3f0e13407ebc268ae8bd32b3
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 12:01:21 2015 -0400

    Added more options to make sure unwanted dirs like rpm or deb do not make it into Debian package

commit 53ac99c5aa8c10f8e926304a463b96264715cd2f
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 11:59:41 2015 -0400

    Removed stale references from notes

commit 9f656178f5c16ad3261928f58163caf7dab5af34
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 11:58:47 2015 -0400

    Added a update test script that will install a local repo and perform an update of package
    
    The test suite is excluded from built package

commit ae3b93320bbf38a556e4376cbdc7ee87d2fe4c87
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 06:13:23 2015 -0400

    Updated changelog for 9.6.3

commit 490499a283947657405f00e2c9c6aab14bed7d01
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 06:11:47 2015 -0400

    Bumped version to 9.6.3

commit edbc2d084208c3deedf513a71c642f20cc35b134
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 05:54:27 2015 -0400

    Updated Makefile.builder to work with new qubes-builder api

commit ca2092e25deb48aa144e88c2c2bfbd0c2f177598
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Mar 23 05:53:21 2015 -0400

    Added /var/cache/whonix-setup-wizard to list of dirs to bind on startup

commit 42d207b2c7bd2fd0de9e0ec5e2a1569c531dea4f
Merge: 5a13ac2 6ff6f30
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 22 21:32:31 2015 +0000

    Merge remote-tracking branch 'nrgaway/master'
    
    Conflicts:
            debian/changelog

commit 6ff6f30233e2a5d9434691c5b4b910600e20d36f
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sun Feb 22 14:33:50 2015 -0500

    Add version file and bump version to 9.6.2

commit c8ee215e01c2f8fcc0ccc6a728a25608ad3088d5
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sun Feb 22 14:21:27 2015 -0500

    Debian options to ignore directories like deb

commit 169776cca0922f7875ae5d72c1fe234726b526f9
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sun Feb 22 14:17:47 2015 -0500

    Remove verbose tar and exclude directories like deb from orig tar file

commit e52bc1e577dbfef08a0d564961b5a72ccce8a59b
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sun Feb 22 14:11:19 2015 -0500

    Changed Architecture to all from any as per Patricks request

commit 90f3a964115471a7894c76f2ef0e14d231614d1e
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sun Feb 22 14:09:09 2015 -0500

    Updated 9.6.1 changelog with commit details and new versioning scheme

commit 9f8c937b8b13413dfee5ff8772de7300848dbaf0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 16 10:59:40 2015 +0000

    added "Uploaders: Patrick Schleizer <adrelanos@riseup.net>" to debian/control

commit 88ba66ae3a099311ddb8e50b2415a74cce0fdeb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 16 10:42:45 2015 +0000

    synced COPYING with debian/copyright

commit 5a13ac2617c974128cfb2b3b4c0613cb91ca3cfd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 17 07:19:26 2015 +0000

    debian/control: changed "Architecture:" from "any" to "all" - https://phabricator.whonix.org/T187

commit 731e3e8ab0a5958341a96c4d4877b72ea0084209
Merge: 8bbc0ae 18437a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 16 21:33:57 2015 +0000

    Merge remote-tracking branch 'nrgaway/master'

commit 18437a8d99281773dafc4bd2b25ccab948bba0dd
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Feb 16 06:51:57 2015 -0500

    Removed developer enable-iptables-logging script

commit 5b8df1b7c5fea511638d8d3c4af07495ad6136c9
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Feb 16 06:45:56 2015 -0500

    Fixed typo in README.md

commit 8bbc0ae3a157e74621fb20ca3209cc67045f6f4b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 16 11:06:07 2015 +0000

    added creation of upstream changelog to fix lintian warning

commit 448f0353be69442b466f28149b6e67d038461e5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 16 11:03:40 2015 +0000

    bumped changelog version (to fix lintian warning about missing close ITP)

commit cd5f3d83d36ec31867f78a73bf2fa9ea6ca7d171
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 16 11:02:00 2015 +0000

    added changelog.upstream to fix lintian warning

commit 7592d6b49004e7d9151195a768d8a0ff384f5268
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 16 10:59:40 2015 +0000

    added "Uploaders: Patrick Schleizer <adrelanos@riseup.net>" to debian/control

commit 6d88b9284c5cc634e57a95b2c9993f39a21431ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 16 10:42:45 2015 +0000

    synced COPYING with debian/copyright

commit a86b58c6fcc02face96f4e101a6ebbdcfc5c2bc3
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Feb 16 03:08:27 2015 -0500

    Create new file 35_qubes_stream_isolation_plugin and use it instead of replacing IPs in 31_anon_dist_stream_isolation_plugin

commit f2678cf2de8ebde15a62929d5c1ea14d16a37008
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Feb 16 02:49:08 2015 -0500

    Don't need to replace IPs in /etc/whonix_firewall.d/30_default since all the IP's in that file are commented out

commit 559694e1f699f52a1fb099786843efbfa101ddf6
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Feb 16 02:38:14 2015 -0500

    Renamed  32_uwt_default to 32_qubes

commit 0dc46aa4d8809fb19046465b107a79a2c247d39e
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Feb 16 01:53:20 2015 -0500

    Fix typos

commit 4c22b942418cd650e5fd9c26c2a202da81152b80
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Feb 16 01:17:11 2015 -0500

    Remove duplicate trigger /etc/network/interfaces.whonix

commit b4bc545e315dc27a76ac2490192f78731fa32fc4
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Fri Feb 13 20:23:41 2015 -0500

    Whonix 9.6 and added compatibility for Qubes R3

commit 6fe9c10100bd026e4b957e429ee3939cdc68738c
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Feb 3 04:11:07 2015 -0500

    Modified make-helper.bsh to work with Qubes builder

commit 51ec5194008e71bcfdd9b8e82aa9f76dc2077dc3
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sun Feb 1 05:45:51 2015 -0500

    Make sure timezone is set to UTC

commit 09563f814b40a14fba452f137eedfb9944e5ef55
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Fri Jan 30 00:30:35 2015 -0500

    Tweaked scripts to work with Whonix 9.6 properly

commit ff5045ebb8179dc94b4669413412015345a8163b
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Thu Jan 29 23:54:38 2015 -0500

    Forgot to change references to renamed scripts in postinit

commit 5747f05c5ff589e79dc5176626ef88869c115a6e
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Thu Jan 29 23:41:54 2015 -0500

    Make sure /home/user/.gateway exists before attempting to touch file in directory

commit 9bdc376c194f4be9f800c712e950e24c07f7c32a
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Thu Jan 29 23:20:15 2015 -0500

    Add missing line continuation symbol

commit c283336c4dcfc0b286979f5977fd50edd1c9ced6
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Thu Jan 29 22:52:53 2015 -0500

    Fix interest-noawait typo in triggers

commit 765d0792d55f771b780197f7c7a2243e1779a90a
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Thu Jan 29 20:46:25 2015 -0500

    Renamed all bash libs with .sh extension; not executable and removed from scripts to be more standardized

commit ac9427363b267d9040f55ee4a55167b225c0c2aa
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Thu Jan 29 20:42:32 2015 -0500

    Added depends and triggers for whonix-setup-wizard
    Added trigger for kde-audio to prevent showing in Qubes
    Ignore first-use notice
    Dropped some un-needed depends in control file

commit b5964ae53da09d51e0045189b6329a2296af75e3
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Thu Jan 29 20:41:27 2015 -0500

    Ignore Wing Project files

commit 255ba447b6cecb9c83437923e3bbc606172d503b
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Thu Jan 29 20:38:40 2015 -0500

    Added CONTRIBUTING text

commit 7313fc2372b19bb8671d363cd8a9c1f157ec9fbc
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jan 27 19:34:08 2015 -0500

    Make sure immutable files are locked always to prevent qubes programs from over-writing

commit 9320fd5928b565def5edefd913c52f676b84ec88
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jan 13 23:46:50 2015 -0500

    Removed qubes-whonix-init.service and added it as a ExecStartPost to qubes-whonix-network.service
    
    Changed WHONIX to QUBES_WHONIX in 32_uwt_default
    Set QUBES_WHONIX to unknown if /var/lib/qubes is not available
    Added a profile for unknown to allow override of UWT

commit b422495caa557e5916e8c7a4b823d56917215043
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Wed Jan 7 12:31:44 2015 -0500

    Added haveged, nautilus-open-terminal as depends

commit 28ddc33f47c169b750ecc9fda5a5dbe3fbf304ad
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jan 6 19:31:39 2015 -0500

    Removed un-needed enables for services in this package

commit 5279a0a28e8a8e0941567d6e5ef7c93ad2be8e87
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jan 6 18:05:36 2015 -0500

    move xenstore-read within a conditional statement

commit 7eac4fee94516f02403414a4df2bb587c78df546
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jan 6 12:41:04 2015 -0500

    Make replacement make-helper.bsh executable

commit cdd1a44a9893d1f3a7f95ef2e7a1ad2b34c1dcdb
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jan 6 12:37:52 2015 -0500

    Remove duplicate entry from Makefile

commit 02db6aef959936addccdef7c2f35789e9a43004b
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jan 6 12:32:27 2015 -0500

    Modified Makefile to read better

commit b4a3344555ae5d8a60bdfc03819cf651024e16d5
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jan 6 11:29:38 2015 -0500

    replaced make-helper.bsh script incase it was corrupt

commit 606cbbc100aa84ebbbd913d041f327adc3d757c6
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Tue Jan 6 10:28:56 2015 -0500

    Changed WHONIX_QUBES to QUBES_WHONIX and exit 0 if not running in Qubes environment

commit 1f0a9c68002ba4f3b83c8998e39ed73f23172676
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Jan 5 17:06:32 2015 -0500

    Removed extra linefeed at end of files

commit 21f6f1a478a9da1b66f60788fe836f85a668d7fa
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Jan 5 17:06:00 2015 -0500

    Removed un-needed directives to create directories since the package builder will automatically create any required directories

commit 31c4a83e38b3a296bfe29d1023089dfe42da60a1
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Jan 5 16:39:48 2015 -0500

    Renamed 50_uwt_defaults per Patrick's request

commit 951ad4982dcdc19fe9cf5234b62c465a515da20f
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Jan 5 16:38:10 2015 -0500

    Package rename fixes
    
    Some text got changed to qubes-whonix when it should have remained just whonix

commit 7a3d8d6e7f54acbb5392701e4885735073ac6d79
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Jan 5 00:03:32 2015 -0500

    Changed package name to qubes-whonix
    
    Moved custom config files into their own directory to prevent future conflicts
    /usr/lib/qubes-whonix
    
    Refactored lots.
    
    Wrote some Debian helper scripts to help get this building in Qubes as well
     as Whonix development environment

commit 5494901b601d5c03841513208d689284179bc6ce
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Mon Dec 29 01:15:15 2014 -0500

    Tweaked rules to allow building on both Qubes and Whonix

commit 2a408877f9459fe39e82be7100285312f5e3a3f2
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sun Dec 28 17:25:09 2014 -0500

    Lintian package modifications

commit a10bc6c8c28baccd56cda5a1e19d20a6b752927a
Author: Jason Mehring <nrgaway@gmail.com>
Date:   Sun Dec 28 13:52:47 2014 -0500

    Initial commit
